package com.ruoyi.system.app.base.controller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.base.domain.*;
import com.ruoyi.system.app.base.service.AppBaseService;
import com.ruoyi.system.application.domain.*;
import com.ruoyi.system.application.service.ITUCustomerserService;
import com.ruoyi.system.application.service.ITUGradesubjectService;
import com.ruoyi.system.application.service.ITUTeachingareaService;
import com.ruoyi.system.domain.SysConfig;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.service.ISysConfigService;
import com.ruoyi.system.service.ISysNoticeService;
import com.ruoyi.system.service.ISysUserService;
import com.ruoyi.system.tools.DateUtils;
import com.ruoyi.system.tools.PositionUtil_5;
import org.gavaghan.geodesy.Ellipsoid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.text.DecimalFormat;
import java.util.List;

@RestController
@RequestMapping("/app/AppBaseController")
public class AppBaseController extends BaseController {

    @Resource
    ITUTeachingareaService teachingareaService;
    @Resource
    ITUGradesubjectService gradesubjectService;

    @Resource
    AppBaseService appBaseService;

    @Resource
    ISysConfigService iSysConfigService;

    @Resource
    ITUCustomerserService ituCustomerserService;

    @Resource
    ISysUserService iSysUserService;

    @Autowired
    private ISysNoticeService noticeService;


    @RequestMapping("getTeacheingArea")
    public AjaxResult getTeacheingArea(@RequestBody AppBaseTeachingAreaVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        TUTeachingarea tuTeachingarea = new TUTeachingarea();
        tuTeachingarea.setParentId(vo.getParentId());
        ajaxResult.put("teachingArea", teachingareaService.selectTUTeachingareaList(tuTeachingarea));
        return ajaxResult;
    }

    @RequestMapping("getGradesubject")
    public AjaxResult getGradesubject(@RequestBody AppBaseGradesubjectVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        TUGradesubject tuGradesubject = new TUGradesubject();
        tuGradesubject.setParentId(vo.getParentId());
        ajaxResult.put("gradesubject", gradesubjectService.selectTUGradesubjectList(tuGradesubject));
        return ajaxResult;
    }

    @RequestMapping("lookAndcollectionPerson")
    public AjaxResult lookAndcollectionPerson(@RequestBody TULookcollection tuLookcollection) {
        return appBaseService.lookAndcollectionPerson(tuLookcollection);
    }



    @RequestMapping("lookAndcollectionOrder")
    public AjaxResult lookAndcollectionOrder(@RequestBody TULookorder tuLookorder) {
        return appBaseService.lookAndcollectionOrder(tuLookorder);
    }

    //看过和收藏的订单 ---
    @GetMapping("getMylookAndcollectionOrder")
    public TableDataInfo getMylookAndcollectionOrder(AppLookAndCollectionOrderVO vo) {
        startPage();
        List list = appBaseService.getMylookAndcollectionOrder(vo);

        TableDataInfo table = getDataTable(list);
        List tblist = table.getRows();
        DecimalFormat df = new DecimalFormat("#.##");
        for (int i = 0; i < tblist.size(); i++) {
            TUOrder tuOrder = (TUOrder)tblist.get(i);
            SysUser u = iSysUserService.selectUserById(tuOrder.getUserId());
            String loginMsg = DateUtils.loginDate(u.getLoginDate());
            tuOrder.setLoginDate(loginMsg);
            if(tuOrder.getOrderLocationLat() == null || tuOrder.getOrderLocationLat() == null || vo.getCurrentLng() == null || vo.getCurrentLat() == null){
                tuOrder.setDistance("无效定位");
            }else{
                double dis5 = PositionUtil_5.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()), Ellipsoid.WGS84);
                tuOrder.setDistance(df.format(dis5/1000));
            }
        }

        return table;
    }
    @GetMapping("getMyLookAndcollectionTeacher")
    public TableDataInfo getMyLookAndcollectionTeacher(AppLookAndCollectionTeacherVO vo) {
        startPage();
        List list =appBaseService.getMyLookAndcollectionTeacher(vo);
        TableDataInfo tableDataInfo = getDataTable(list);
        DecimalFormat df = new DecimalFormat("#.##");
        List tblist = tableDataInfo.getRows();
        for (int i = 0; i < tblist.size(); i++) {
            TUTeacher tuTeacher = (TUTeacher)tblist.get(i);
            SysUser u = iSysUserService.selectUserById(tuTeacher.getUserId());
            String loginMsg = DateUtils.loginDate(u.getLoginDate());
            tuTeacher.setLoginDate(loginMsg);
        }
        return tableDataInfo;
    }


    //改变个人信息
    @GetMapping("editSysUser")
    public AjaxResult editSysUser(SysUser sysUser){
        return appBaseService.editSysUser(sysUser);
    }

    @GetMapping("agreement")
    public AjaxResult agreement(){
        AjaxResult ajaxResult = new AjaxResult();
        SysConfig sysConfig = new SysConfig();
        sysConfig.setConfigKey("agreement");
        ajaxResult.put("agreement",iSysConfigService.selectConfigList(sysConfig).get(0));
        return ajaxResult;
    }

    //客服接口
    @GetMapping("customerSer")
    public AjaxResult customerSer(String id){
        AjaxResult ajaxResult = new AjaxResult();
        TUCustomerser t =ituCustomerserService.selectTUCustomerserById(id);
        ajaxResult.put("customerSer",t);
        return ajaxResult;
    }

    @RequestMapping("citySetting")
    public AjaxResult citySetting(@RequestBody AppCitySettingVO vo){
        return appBaseService.citySetting(vo);
    }

    @RequestMapping("notice")
    public AjaxResult getInfo(Long noticeId)
    {
        return success(noticeService.selectNoticeById(noticeId));
    }


}
