package com.ruoyi.system.app.base.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.base.domain.AppCitySettingVO;
import com.ruoyi.system.app.base.domain.AppLookAndCollectionOrderVO;
import com.ruoyi.system.app.base.domain.AppLookAndCollectionTeacherVO;
import com.ruoyi.system.app.base.domain.AppRechargeVO;
import com.ruoyi.system.app.base.mapper.AppLookAndCollectionOrderMapper;
import com.ruoyi.system.app.base.mapper.AppLookAndCollectionTeacherMapper;
import com.ruoyi.system.app.base.service.AppBaseService;
import com.ruoyi.system.application.domain.*;
import com.ruoyi.system.application.mapper.TUAccountLogMapper;
import com.ruoyi.system.application.mapper.TUAccountMapper;
import com.ruoyi.system.application.mapper.TULookcollectionMapper;
import com.ruoyi.system.application.mapper.TULookorderMapper;
import com.ruoyi.system.domain.SysUserRole;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.mapper.SysUserRoleMapper;
import com.ruoyi.system.payment.domain.OrderPayRequest;
import com.ruoyi.system.payment.service.IPaymentService;
import com.ruoyi.system.service.ISysUserService;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Service
public class AppBaseServiceImpl implements AppBaseService {

    @Resource
    TULookcollectionMapper tuLookcollectionMapper;

    @Resource
    TULookorderMapper tuLookorderMapper;

    @Resource
    ISysUserService iSysUserService;

    @Resource
    AppLookAndCollectionOrderMapper appLookAndCollectionOrderMapper;
    @Resource
    AppLookAndCollectionTeacherMapper appLookAndCollectionTeacherMapper;

    @Resource
    SysUserMapper sysUserMapper;

    @Resource
    IPaymentService paymentService;

    @Resource
    TUAccountMapper tuAccountMapper;

    @Resource
    TUAccountLogMapper tuAccountLogMapper;

    @Resource
    SysUserRoleMapper sysUserRoleMapper;

    @Resource
    SysDictDataMapper sysDictDataMapper;






    @Override
    public AjaxResult lookAndcollectionPerson(TULookcollection tuLookcollection) {
        AjaxResult ajaxResult = new AjaxResult();
        //查询本人对目标人是否有 看过或收藏，有就更新时间，没有就插入
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        tuLookcollection.setFromUserid(sysUser.getUserId());
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
        Date look_time = new Date();
        String look_date = format.format(look_time);

        List list = tuLookcollectionMapper.selectTULookcollectionList(tuLookcollection);
        tuLookcollection.setLookDate(look_date);
        tuLookcollection.setLookTime(look_time);
        if (list.size() == 0) {
            tuLookcollection.setId(UUID.fastUUID().toString());
            tuLookcollection.setFromUsername(sysUser.getUserName());
            tuLookcollection.setTargetUsername(iSysUserService.selectUserById(tuLookcollection.getTargetUserid()).getNickName());
            tuLookcollectionMapper.insertTULookcollection(tuLookcollection);
        } else {
            tuLookcollectionMapper.updateTULookcollection(tuLookcollection);
        }
        return ajaxResult;
    }

    @Override
    public AjaxResult lookAndcollectionOrder(TULookorder tuLookorder) {
        //查询本人对目标人是否有 看过或收藏，有就更新时间，没有就插入
        AjaxResult ajaxResult = new AjaxResult();
        //查询本人对目标人是否有 看过或收藏，有就更新时间，没有就插入
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        tuLookorder.setFromUserid(sysUser.getUserId());
        List list = tuLookorderMapper.selectTULookorderList(tuLookorder);
        tuLookorder.setUpdateTime(new Date());
        if (list.size() == 0) {
            tuLookorder.setFromUsername(sysUser.getUserName());
            tuLookorder.setId(UUID.fastUUID().toString());
            tuLookorderMapper.insertTULookorder(tuLookorder);
        } else {
            tuLookorderMapper.updateTULookorder(tuLookorder);
        }
        return ajaxResult;
    }

    @Override
    public List getMyLookAndcollectionTeacher(AppLookAndCollectionTeacherVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        if(vo.getLcType() != null && vo.getLcType().equals("lookme")){
            //看我的
            vo.setTargetUserid(sysUser.getUserId());
        }else if(vo.getLcType() != null && vo.getLcType().equals("melook")){
            //我看
            vo.setFromUserid(sysUser.getUserId());
        }

        List list = appLookAndCollectionTeacherMapper.queryLookAndCollectionTeacher(vo);
        return list;
    }

    @Override
    public List getMylookAndcollectionOrder(AppLookAndCollectionOrderVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setFromUserid(sysUser.getUserId());
        List list = appLookAndCollectionOrderMapper.queryLookAndCollectionOrder(vo);
        return list;
    }

    @Override
    public AjaxResult editSysUser(SysUser sysUser) {
        Long userId = SecurityUtils.getLoginUser().getSysUser().getUserId();
        sysUser.setUserId(userId);
        sysUserMapper.updateUser(sysUser);
        AjaxResult ajaxResult = new AjaxResult();
        SysUser user = sysUserMapper.selectUserById(userId);
        ajaxResult.put("sysuser", user);
        return ajaxResult;
    }

    @Override
    public AjaxResult recharge(AppRechargeVO vo) {
        OrderPayRequest request = new OrderPayRequest();
        request.setPayConfigId(1L);
        request.setOpenid(vo.getOpenid());
        request.setAccount(vo.getMoney().toString());
        request.setUserId(SecurityUtils.getLoginUser().getSysUser().getUserId());
        request.setOrderId(UUID.fastUUID().toString());
        try {
            AjaxResult ajaxResult = paymentService.orderPay(request);
            return ajaxResult;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public AjaxResult rechargeBack(AppRechargeVO vo) {


        //找到用户角色
        //

        SysUserRole sysUserRole = sysUserRoleMapper.selectUserRoleByUserId(vo.getUserId()).get(0);
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictLabel(String.valueOf(vo.getMoney()/100));
        if(sysUserRole.getRoleId() == 100L){
            //教师
            sysDictData.setDictType("fee_recharge_teacher");
        }else if(sysUserRole.getRoleId() == 101L){
            //家长
            sysDictData.setDictType("fee_recharge_parents");
        }
        List<SysDictData> dictList = sysDictDataMapper.selectDictDataListApp(sysDictData);
        int vis_money = Integer.parseInt(dictList.get(0).getDictValue());

        //找出这个用户
        TUAccount account = tuAccountMapper.selectTUAccountByUserId(vo.getUserId());
        //记录这个人的缴费记录
        TUAccountLog accountLog = new TUAccountLog();
        accountLog.setId(UUID.fastUUID().toString());
        accountLog.setLogTime(new Date());
        //充值
        accountLog.setUserId(vo.getUserId());
        accountLog.setLogType(2);
        accountLog.setMoneyBefore(account.getMoney());
        accountLog.setMoneyAfter(vis_money+account.getMoney());
        accountLog.setMoneyChange(vis_money);
        accountLog.setPaymentId(vo.getPaymentId());
        accountLog.setWxOpenid(vo.getOpenid());
        tuAccountLogMapper.insertTUAccountLog(accountLog);
        //改变账户信息


        TUAccount acc = new TUAccount();
        acc.setUserId(vo.getUserId());
        acc.setMoney(account.getMoney()+vis_money);
        tuAccountMapper.updateTUAccount(acc);
        return AjaxResult.success("支付成功");
    }

    @Override
    public AjaxResult citySetting(AppCitySettingVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        SysUser user = new SysUser();
        user.setUserId(sysUser.getUserId());
        user.setCityId(vo.getCityId());
        user.setCityName(vo.getCityName());
        sysUserMapper.updateUser(user);
        return AjaxResult.success();
    }




}
