package com.ruoyi.system.app.base.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.base.domain.AppEvaluateVO;
import com.ruoyi.system.app.base.service.AppEvaluateService;
import com.ruoyi.system.application.domain.TUEvaluate;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.mapper.TUEvaluateMapper;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Service
public class AppEvaluateServiceImpl implements AppEvaluateService {

    @Resource
    TUEvaluateMapper tuEvaluateMapper;

    @Resource
    TUOrderMapper tuOrderMapper;

    @Override
    public AjaxResult evaluate(AppEvaluateVO tuEvaluate) {
        tuEvaluate.setId(UUID.fastUUID().toString());
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        tuEvaluate.setFromUserid(sysUser.getUserId());
        tuEvaluate.setFromUsername(sysUser.getNickName());
        TUOrder tuOrder = tuOrderMapper.selectTUOrderById(tuEvaluate.getOrderId());
        if(tuEvaluate.getEvaluatePoint().equals("parents")){
            tuEvaluate.setOrderUserid(tuOrder.getTeacherUserid());
        }else if (tuEvaluate.getEvaluatePoint().equals("teacher")){
            tuEvaluate.setOrderUserid(tuOrder.getUserId());
        }

        tuEvaluate.setCreateTime(new Date());
        tuEvaluateMapper.insertTUEvaluate(tuEvaluate);
        return AjaxResult.success();
    }

    @Override
    public List getMyEvaluate() {
        TUEvaluate tuEvaluate = new TUEvaluate();
        tuEvaluate.setOrderUserid(SecurityUtils.getLoginUser().getUserid());
        return tuEvaluateMapper.selectTUEvaluateList(tuEvaluate);
    }


}
