package com.ruoyi.system.app.parents_index.controller;


import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.parents_index.domain.*;
import com.ruoyi.system.app.parents_index.service.AppParentsIndexService;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherIndexSearchVO;
import com.ruoyi.system.app.teacher_mine.domain.AppTeacherEditVO;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.domain.TUTeacher;
import com.ruoyi.system.application.service.ITUTeacherService;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.service.ISysUserService;
import com.ruoyi.system.tools.DateUtils;
import com.ruoyi.system.tools.PositionUtil_5;
import org.aspectj.weaver.loadtime.Aj;
import org.gavaghan.geodesy.Ellipsoid;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.DecimalFormat;
import java.util.List;

@RestController
@RequestMapping("/app/AppParentsIndexController")
public class AppParentsIndexController extends BaseController {

    @Resource
    AppParentsIndexService appParentsIndexService;

    @Resource
    ITUTeacherService teacherService;
    @Resource
    ISysUserService iSysUserService;

    @RequestMapping("parentIndexInit")
    public AjaxResult parentIndexInit() {
        return appParentsIndexService.parentIndexInit();
    }

    @GetMapping("indexList")
    public TableDataInfo indexList(AppParentsIndexSearchVO vo) {
        startPage();
        List<TUTeacher> list = teacherService.selectTUTeacherList(vo);

        TableDataInfo table = getDataTable(list);
        List tblist = table.getRows();
        DecimalFormat df = new DecimalFormat("#.##");
        for (int i = 0; i < tblist.size(); i++) {
            TUTeacher tuTeacher = (TUTeacher)tblist.get(i);
            SysUser u = iSysUserService.selectUserById(tuTeacher.getUserId());
            String loginMsg = DateUtils.loginDate(u.getLoginDate());
            tuTeacher.setLoginDate(loginMsg);
            System.out.println("pppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp");
            System.out.println(vo.getCurrentLat()+"   ====u===        "+vo.getCurrentLng()+"          "+tuTeacher.getLocationLat()+"     ====t====      "+tuTeacher.getLocationLng());
            System.out.println("pppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp");
            if(tuTeacher.getLocationLng() == null){
                System.out.println("1111111111");
            }
            if( tuTeacher.getLocationLat() == null){
                System.out.println("22222222222");
            }
            if(vo.getCurrentLng() == null){
                System.out.println("3333333333");
            }
            if(vo.getCurrentLat() == null){
                System.out.println("4444444444444");
            }
            if(tuTeacher.getLocationLng() == null || tuTeacher.getLocationLat() == null || vo.getCurrentLng() == null || vo.getCurrentLat() == null){
                tuTeacher.setDistance("无效定位");
            }else{
                double dis5 = PositionUtil_5.getDistance(Double.parseDouble(tuTeacher.getLocationLng()), Double.parseDouble(tuTeacher.getLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()), Ellipsoid.WGS84);
                tuTeacher.setDistance(df.format(dis5/1000));
            }
        }

        return getDataTable(list);
    }

    @RequestMapping("teacherDetail")
    public AjaxResult teacherDetail(@RequestBody AppParentsIndexSearchVO vo) {
        return appParentsIndexService.teacherDetail(vo);
    }

    @RequestMapping("parentsPayFor")
    public AjaxResult parentsPayFor(@RequestBody AppParentsPayForVO vo) {
        return appParentsIndexService.parentsPayFor(vo);
    }

    @RequestMapping("parentsFinishOrder")
    public AjaxResult parentsFinishOrder(@RequestBody AppParentsFinishOrderVO vo) {
        return appParentsIndexService.parentsFinishOrder(vo);
    }

    @RequestMapping("parentsLookCollection")
    public AjaxResult parentsLookCollection(@RequestBody AppParentsLoolCollectionVO vo) {
        return appParentsIndexService.parentsLookCollection(vo);
    }

    @GetMapping("getTeacherEvaluate")
    public TableDataInfo getTeacherEvaluate(AppTeacherEvaluateVO vo) {
        startPage();
        List list = appParentsIndexService.getTeacherEvaluate(vo);
        return getDataTable(list);
    }


}
