package com.ruoyi.system.app.parents_index.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.base.service.AppBaseService;
import com.ruoyi.system.app.base.service.AppOrderService;
import com.ruoyi.system.app.parents_index.domain.*;
import com.ruoyi.system.app.parents_index.service.AppParentsIndexService;
import com.ruoyi.system.app.teacher_mine.domain.AppTeacherEditVO;
import com.ruoyi.system.application.domain.*;
import com.ruoyi.system.application.mapper.*;
import com.ruoyi.system.domain.SysUserRole;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.mapper.SysUserRoleMapper;
import com.ruoyi.system.service.ISysDictDataService;
import org.apache.poi.ss.formula.functions.T;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class AppParentsIndexServiceImpl implements AppParentsIndexService {

    @Resource
    SysDictDataMapper sysDictDataMapper;

    @Resource
    ISysDictDataService iSysDictDataService;

    @Resource
    TUBannerMapper bannerMapper;

    @Resource
    TUTeacherMapper tuTeacherMapper;

    @Resource
    TUOrderMapper orderMapper;

    @Resource
    AppBaseService appBaseService;

    @Resource
    TUAccountMapper tuAccountMapper;

    @Resource
    SysUserMapper sysUserMapper;

    @Resource
    TUTeacherGradesubjectMapper tuTeacherGradesubjectMapper;

    @Resource
    AppOrderService appOrderService;

    @Resource
    TUEvaluateMapper tuEvaluateMapper;

    @Resource
    TUOrderMapper tuOrderMapper;

    @Resource
    TULookcollectionMapper tuLookcollectionMapper;

    @Resource
    SysUserRoleMapper sysUserRoleMapper;


    @Override
    public AjaxResult parentIndexInit() {
        AjaxResult ajaxResult = new AjaxResult();
        List<SysDictData> dictDataList_sex = sysDictDataMapper.selectDictDataByType("sys_user_sex");
        ajaxResult.put("sys_user_sex", dictDataList_sex);

        //讲课方式
        List<SysDictData> dictDataList_teaching_function = sysDictDataMapper.selectDictDataByType("teaching_function");
        ajaxResult.put("teaching_function", dictDataList_teaching_function);

        //教学形式
        List<SysDictData> dictDataList_teaching_style = sysDictDataMapper.selectDictDataByType("teaching_style");
        ajaxResult.put("teaching_style", dictDataList_teaching_style);

        //教学教龄
        List<SysDictData> dictDataList_teachering_age = sysDictDataMapper.selectDictDataByType("teachering_age");
        ajaxResult.put("teachering_age", dictDataList_teachering_age);


        //banner
        List<TUBanner> banners = bannerMapper.selectTUBannerList(new TUBanner());
        ajaxResult.put("banners", banners);

        SysUser sysUser = sysUserMapper.selectUserById(SecurityUtils.getLoginUser().getSysUser().getUserId()) ;
        ajaxResult.put("userinfo", sysUser);

        //
        SysUserRole sysUserRole = new SysUserRole();
        sysUserRole.setUserId(sysUser.getUserId());
        sysUserRole.setRoleId(101L);
        if (sysUserRoleMapper.countUserRoleByUserId(sysUser.getUserId()) == 0) {
            sysUserRoleMapper.insertUserRole(sysUserRole);
        } else {
            sysUserRoleMapper.updateUserRole(sysUserRole);
        }

        return ajaxResult;
    }

    @Override
    public AjaxResult teacherDetail(AppParentsIndexSearchVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        AjaxResult ajaxResult = new AjaxResult();
        TUTeacher tuTeacher = tuTeacherMapper.selectTUTeacherById(vo.getId());
        ajaxResult.put("teacherDetail", tuTeacher);

        SysUser teacherUser = sysUserMapper.selectUserById(tuTeacher.getUserId());
        ajaxResult.put("teacherUser", teacherUser);
        //将老师设置为查看过的人
        TULookcollection lookcollection = new TULookcollection();
        lookcollection.setFromUserid(sysUser.getUserId());
        lookcollection.setTargetUserid(tuTeacher.getUserId());
        lookcollection.setType(1);
        appBaseService.lookAndcollectionPerson(lookcollection);

//取评价
        TUEvaluate tuEvaluate = new TUEvaluate();
        tuEvaluate.setOrderId(vo.getId());
        tuEvaluate.setFromUserid(sysUser.getUserId());
        List evaluate = tuEvaluateMapper.selectTUEvaluateList(tuEvaluate);
        ajaxResult.put("evaluate", evaluate);

        TUOrder tuOrder = new TUOrder();
        tuOrder.setOrderStatus("order_status_2");
        tuOrder.setTeacherUserid(tuTeacher.getUserId());
        List orderList = tuOrderMapper.selectTUOrderList(tuOrder);
        ajaxResult.put("orderList", orderList);

        //查看是否收藏
        TULookcollection melookconnection = new TULookcollection();
        melookconnection.setFromUserid(sysUser.getUserId());
        melookconnection.setTargetUserid(tuTeacher.getUserId());
        melookconnection.setType(2);
        List connectionList = tuLookcollectionMapper.selectTULookcollectionList(melookconnection);
        boolean isCollection = false;
        if (connectionList.size() > 0) {
            isCollection = true;
        }
        ajaxResult.put("isCollection", isCollection);

        //
        TUOrder t = new TUOrder();
        t.setOrderStatus("order_status_2");
        t.setTeacherUserid(teacherUser.getUserId());
        t.setOrderType("order_type_2");
        t.setOrderPayType("order_pay_type_2");

        List orderDetail = tuOrderMapper.selectTUOrderList(t);
        ajaxResult.put("orderDetail", orderDetail);
        //账户扣款
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType("consumption");
        sysDictData.setDictValue("consumption_2");
        List<SysDictData> dict = iSysDictDataService.selectDictDataList(sysDictData);
        Integer money = Integer.parseInt(dict.get(0).getRemark());
        ajaxResult.put("money", money);
        return ajaxResult;
    }

    @Override
    public AjaxResult parentsPayFor(AppParentsPayForVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();

        String orderId = UUID.fastUUID().toString();
        //查询次订单是否付过费用
        TUOrder u = new TUOrder();
        u.setId(orderId);
        u.setOrderStatus("order_status_2");
        u.setOrderPayUserid(sysUser.getUserId());
        List orderlist = orderMapper.selectTUOrderList(u);
        AjaxResult ajaxResult = new AjaxResult();
        if(orderlist.size() == 0){

            //账户扣款
            SysDictData sysDictData = new SysDictData();
            sysDictData.setDictType("consumption");
            sysDictData.setDictValue("consumption_2");
            List<SysDictData> dict = iSysDictDataService.selectDictDataList(sysDictData);
            Integer money = Integer.parseInt(dict.get(0).getRemark());
            TUAccount account = tuAccountMapper.selectTUAccountByUserId(sysUser.getUserId());
            if (account.getMoney() - money < 0) {
                return AjaxResult.error("余额不足");
            } else {
                account.setMoney(account.getMoney() - money);
                tuAccountMapper.updateTUAccount(account);
            }


            //取得教师信息
            TUTeacher tuTeacher = tuTeacherMapper.selectTUTeacherById(vo.getTeacherId());


            SysUser userTeacher = sysUserMapper.selectUserById(tuTeacher.getUserId());
            //制造一条新的订单
            TUOrder tuOrder = new TUOrder();
            tuOrder.setId(orderId);
            tuOrder.setCreateTime(new Date());
            tuOrder.setUserId(sysUser.getUserId());
            tuOrder.setUserNickname(sysUser.getNickName());
            tuOrder.setOrderCode(Integer.parseInt(appOrderService.makeOrderNum()));
            tuOrder.setOrderType("order_type_2");
            tuOrder.setOrderStatus("order_status_2");
            tuOrder.setOrderPayType("order_pay_type_2");
            tuOrder.setOrderPayUserid(sysUser.getUserId());
            tuOrder.setStudentUserid(sysUser.getUserId());
            tuOrder.setTeacherUserid(tuTeacher.getUserId());
            tuOrder.setTeacherName(tuTeacher.getTeacherName());
            tuOrder.setTeacherIsIstudent(tuTeacher.getIsIstudent());
            tuOrder.setTeacherSchoolMajor(tuTeacher.getSchoolMajor());
            tuOrder.setTeacherEducation(tuTeacher.getEducation());

            tuOrder.setStudentName(sysUser.getNickName());
            tuOrder.setStudentAvatar(sysUser.getAvatar());

            tuOrder.setTeacherAvatar(userTeacher.getAvatar());
            tuOrder.setTeacherTeacheringage(tuTeacher.getTeacheringAge());
            tuOrder.setTeacherTeachingStyle(tuTeacher.getTeachingStyle());
            tuOrder.setTeacherMylocation(tuTeacher.getMyLocation());
            tuOrder.setOrderLocationLng(tuTeacher.getLocationLng());
            tuOrder.setOrderLocationLat(tuTeacher.getLocationLat());

            //
            TUTeacherGradesubject gradesubject = new TUTeacherGradesubject();
            gradesubject.setTeacherId(tuTeacher.getId());
            List<TUTeacherGradesubject> list = tuTeacherGradesubjectMapper.selectTUTeacherGradesubjectList(gradesubject);
            String s = "";
            for (TUTeacherGradesubject sb : list) {
                s += sb.getGradesubjectName() + ",";
            }
            tuOrder.setTeacherGradesubject(s);

            orderMapper.insertTUOrder(tuOrder);
        }

        return ajaxResult;
    }

    @Override
    public AjaxResult parentsFinishOrder(AppParentsFinishOrderVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setOrderStatus("order_status_3");
        vo.setOrderFinishType("order_finish_type_2");
        vo.setOrderFinishUserid(sysUser.getUserId());
        orderMapper.updateTUOrder(vo);
        return ajaxResult;
    }

    @Override
    public AjaxResult parentsLookCollection(AppParentsLoolCollectionVO vo) {
        //记一下这个单对应的人
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        TULookcollection tuLookcollection = new TULookcollection();
        tuLookcollection.setTargetUserid(vo.getUserId());
        tuLookcollection.setType(2);
        appBaseService.lookAndcollectionPerson(tuLookcollection);
        return AjaxResult.success();
    }

    @Override
    public List getTeacherEvaluate(AppTeacherEvaluateVO vo) {
        TUEvaluate tuEvaluate = new TUEvaluate();
        tuEvaluate.setOrderUserid(vo.getTeacherUserid());
        tuEvaluateMapper.selectTUEvaluateList(vo);
        return tuEvaluateMapper.selectTUEvaluateList(vo);
    }
}
