package com.ruoyi.system.app.parents_mine.service.impl;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.system.app.parents_mine.service.AppParentsMineService;
import com.ruoyi.system.application.domain.TUAccount;
import com.ruoyi.system.application.domain.TUCustomerser;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.mapper.TUAccountMapper;
import com.ruoyi.system.application.mapper.TUCustomerserMapper;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import org.checkerframework.checker.units.qual.A;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppParentsMineServiceImpl  implements AppParentsMineService {


    @Resource
    TUAccountMapper tuAccountMapper;

    @Resource
    TUOrderMapper tuOrderMapper;

    @Resource
    TUCustomerserMapper tuCustomerserMapper;



    @Override
    public AjaxResult parentsMineInit() {
        AjaxResult ajaxResult = new AjaxResult();
        //基本信息
        LoginUser loginUser = SecurityUtils.getLoginUser();
        ajaxResult.put("loginUser",loginUser);
        //账户信息
        TUAccount account = tuAccountMapper.selectTUAccountByUserId(loginUser.getSysUser().getUserId());
        ajaxResult.put("account",account);



        return ajaxResult;
    }

    @Override
    public AjaxResult myCreateOrder(TUOrder tuOrder) {
        TUOrder order = new TUOrder();
        order.setUserId(tuOrder.getUserId());
        order.setNotMyPayUserId(tuOrder.getUserId());
        List list = tuOrderMapper.selectTUOrderList(order);
        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("myCreateOrder",list);
        return ajaxResult;
    }


}
