package com.ruoyi.system.app.parents_order.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.parents_order.domain.AppParentsMyEvaluateVO;
import com.ruoyi.system.app.parents_order.domain.AppParentsOrderQueryVO;
import com.ruoyi.system.app.parents_order.service.AppParentsOrderService;
import com.ruoyi.system.application.domain.TUEvaluate;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.domain.TUTeacher;
import com.ruoyi.system.application.mapper.TUEvaluateMapper;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import com.ruoyi.system.application.mapper.TUTeacherMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppParentsOrderServiceImpl implements AppParentsOrderService {

    @Resource
    TUOrderMapper tuOrderMapper;

    @Resource
    TUTeacherMapper tuTeacherMapper;

    @Resource
    SysUserMapper sysUserMapper;

    @Resource
    TUEvaluateMapper tuEvaluateMapper;

    @Override
    public List parentsOrderQuery(AppParentsOrderQueryVO vo) {
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setUserId(SecurityUtils.getLoginUser().getSysUser().getUserId());
        List list = tuOrderMapper.selectTUOrderList(vo);
        return list;
    }

    @Override
    public AjaxResult orderDetailorder(AppParentsOrderQueryVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        TUOrder tuOrder = tuOrderMapper.selectTUOrderById(vo.getId());
        ajaxResult.put("orderDetail", tuOrder);
        TUTeacher t = new TUTeacher();
        t.setUserId(tuOrder.getTeacherUserid());
        List<TUTeacher> teacher_list = tuTeacherMapper.selectTUTeacherList(t);
        ajaxResult.put("teacherDetail", teacher_list.get(0));
        SysUser sysUser = sysUserMapper.selectUserById( teacher_list.get(0).getUserId());
        ajaxResult.put("userDetail", sysUser);

        //取评价
        TUEvaluate tuEvaluate = new TUEvaluate();
        tuEvaluate.setOrderId(vo.getId());
        tuEvaluate.setFromUserid(tuOrder.getStudentUserid());
        List evaluate =  tuEvaluateMapper.selectTUEvaluateList(tuEvaluate);
        ajaxResult.put("evaluate", evaluate);

        //

        return ajaxResult;
    }

    @Override
    public List getMyEvaluate(AppParentsMyEvaluateVO vo) {
        TUEvaluate tuEvaluate = new TUEvaluate();
        tuEvaluate.setOrderUserid(vo.getTeacherUserid());
        return tuEvaluateMapper.selectTUEvaluateList(tuEvaluate);
    }
}
