package com.ruoyi.system.app.parents_publish.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.system.app.base.service.AppOrderService;
import com.ruoyi.system.app.parents_publish.domain.AppParentsPublishVO;
import com.ruoyi.system.app.parents_publish.service.AppParentsPublishService;
import com.ruoyi.system.application.domain.TUGradesubject;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.mapper.TUGradesubjectMapper;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import com.ruoyi.system.mapper.SysDictDataMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Service
public class AppParentsPublishServiceImpl implements AppParentsPublishService {

    @Resource
    SysDictDataMapper sysDictDataMapper;
    @Resource
    TUOrderMapper tuOrderMapper;

    @Resource
    TUGradesubjectMapper tuGradesubjectMapper;

    @Resource
    AppOrderService appOrderService;

    @Override
    public AjaxResult publishInit() {
        AjaxResult ajaxResult = new AjaxResult();
        //性别
        List<SysDictData> dictDataList_sex = sysDictDataMapper.selectDictDataByType("sys_user_sex");
        ajaxResult.put("sys_user_sex",dictDataList_sex);
        //成绩分类
        List<SysDictData> dictDataList_score_type= sysDictDataMapper.selectDictDataByType("score_type");
        ajaxResult.put("score_type",dictDataList_score_type);
        //教学形式
        List<SysDictData> dictDataList_teaching_style = sysDictDataMapper.selectDictDataByType("teaching_style");
        ajaxResult.put("teaching_style",dictDataList_teaching_style);

        List<SysDictData> dictDataList_student_fee = sysDictDataMapper.selectDictDataByType("student_fee");
        ajaxResult.put("student_fee",dictDataList_student_fee);

        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        boolean toEditInfo = false;
        if(sysUser.getNickName() == null || sysUser.getNickName().equals("未注册") || sysUser.getPhonenumber() == null ||sysUser.getPhonenumber().equals("未注册") || sysUser.getAvatar() == null){
            toEditInfo = true;
        }
        ajaxResult.put("toEditInfo", toEditInfo);
        return ajaxResult;
    }

    @Override
    public AjaxResult publishOrder(AppParentsPublishVO vo) {
        AjaxResult ajaxResult = new AjaxResult();

        SysUser user = SecurityUtils.getLoginUser().getSysUser();
        String[] sgs = vo.getStudentGradesubject().split(",");
        for(String sid : sgs){
            String id = UUID.fastUUID().toString();
            vo.setStudentGradesubjectId(sid);
            TUGradesubject tuGradesubject = tuGradesubjectMapper.selectTUGradesubjectById(sid);
            vo.setStudentGradesubjectName(tuGradesubject.getName());
            vo.setId(id);
            vo.setCreateTime(new Date());
            vo.setUserId(user.getUserId());
            vo.setUserNickname(user.getNickName());
            Integer num = Integer.parseInt( appOrderService.makeOrderNum());
            vo.setOrderCode(num);
            vo.setOrderType("order_type_1");
            vo.setOrderStatus("order_status_1");
            vo.setStudentUserid(user.getUserId());
            vo.setStudentAvatar(user.getAvatar());
            tuOrderMapper.insertTUOrder(vo);
        }


        return ajaxResult;
    }
}
