package com.ruoyi.system.app.teacher_index.controller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;

import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherFinishOrderVO;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherIndexSearchVO;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherLookCollectionVO;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherPayForVO;
import com.ruoyi.system.app.teacher_index.service.AppTeacherIndexService;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.service.ITUOrderService;
import com.ruoyi.system.service.ISysUserService;
import com.ruoyi.system.tools.*;
import org.gavaghan.geodesy.Ellipsoid;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.DecimalFormat;
import java.util.List;

@RestController
@RequestMapping("/app/AppTeacherIndexController")
public class AppTeacherIndexController extends BaseController {


    @Resource
    AppTeacherIndexService appTeacherIndexService;

    @Resource
    ITUOrderService ituOrderService;

    @Resource
    ISysUserService iSysUserService;


    //banner 和 查询条件字典项目
    @RequestMapping("teacherIndexInit")
    public AjaxResult teacherIndexInit() {
        return appTeacherIndexService.teacherIndexInit();
    }

    @GetMapping("indexList")
    public TableDataInfo indexList(AppTeacherIndexSearchVO vo) {
        startPage();
        List<TUOrder> list = ituOrderService.selectTUOrderList(vo);
        TableDataInfo table = getDataTable(list);
        List tblist = table.getRows();
        DecimalFormat df = new DecimalFormat("#.##");
        for (int i = 0; i < tblist.size(); i++) {
            TUOrder tuOrder = (TUOrder) tblist.get(i);
            SysUser u = iSysUserService.selectUserById(tuOrder.getUserId());
            String loginMsg = DateUtils.loginDate(u.getLoginDate());
            tuOrder.setLoginDate(loginMsg);

            System.out.println("pppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp");
            System.out.println(vo.getCurrentLat()+"   ====u===        "+vo.getCurrentLng()+"          "+tuOrder.getOrderLocationLat()+"     ====t====      "+tuOrder.getOrderLocationLng());
            System.out.println("pppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppppp");


            //double distance = GeoDistance.calculateDistance(Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(tuOrder.getOrderLocationLng()),Double.parseDouble(vo.getCurrentLat()),Double.parseDouble(vo.getCurrentLng()) );
//            double dis1 = PositionUtil_1.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()));
//            double dis2 = PositionUtil_2.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()));
//            double dis3 = PositionUtil_3.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()));
//            double dis4 = PositionUtil_4.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()));
            if(tuOrder.getOrderLocationLng() == null || tuOrder.getOrderLocationLat() == null || vo.getCurrentLng() == null || vo.getCurrentLat() == null){
                tuOrder.setDistance("无效定位");
            }else{
                double dis5 = PositionUtil_5.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()), Ellipsoid.WGS84);
                tuOrder.setDistance(df.format(dis5/1000));
            }
        }
        return table;
    }

    @RequestMapping("orderDetail")
    public AjaxResult orderDetail(@RequestBody AppTeacherIndexSearchVO vo) {
        return appTeacherIndexService.orderDetail(vo);
    }

    @RequestMapping("teacherPayFor")
    public AjaxResult teacherPayFor(@RequestBody AppTeacherPayForVO vo) {
        return appTeacherIndexService.teacherPayFor(vo);
    }

    @RequestMapping("teacherFinishOrder")
    public AjaxResult teacherFinishOrder(@RequestBody AppTeacherFinishOrderVO vo) {
        return appTeacherIndexService.teacherFinishOrder(vo);
    }

    @RequestMapping("teacherLookCollection")
    public AjaxResult teacherLookCollection(@RequestBody AppTeacherLookCollectionVO vo) {
        return appTeacherIndexService.teacherLookCollection(vo);
    }

}
