package com.ruoyi.system.app.teacher_index.service.impl;


import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.base.service.AppBaseService;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherFinishOrderVO;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherIndexSearchVO;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherLookCollectionVO;
import com.ruoyi.system.app.teacher_index.domain.AppTeacherPayForVO;
import com.ruoyi.system.app.teacher_index.service.AppTeacherIndexService;
import com.ruoyi.system.application.domain.*;
import com.ruoyi.system.application.mapper.*;
import com.ruoyi.system.domain.SysUserRole;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.mapper.SysUserRoleMapper;
import com.ruoyi.system.service.ISysDictDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppTeacherIndexServiceImpl implements AppTeacherIndexService {

    @Resource
    SysDictDataMapper sysDictDataMapper;
    @Resource
    TUBannerMapper bannerMapper;
    @Resource
    TUOrderMapper orderMapper;
    @Resource
    TUTeacherMapper tuTeacherMapper;
    @Resource
    AppBaseService appBaseService;

    @Resource
    ISysDictDataService iSysDictDataService;

    @Resource
    TUAccountMapper tuAccountMapper;

    @Resource
    TUEvaluateMapper tuEvaluateMapper;

    @Resource
    TULookcollectionMapper tuLookcollectionMapper;

    @Resource
    TULookorderMapper tuLookorderMapper;

    @Resource
    SysUserMapper sysUserMapper;

    @Resource
    SysUserRoleMapper sysUserRoleMapper;


    @Override
    public AjaxResult teacherIndexInit() {
        AjaxResult ajaxResult = new AjaxResult();

        //性别
        List<SysDictData> dictDataList_sex = sysDictDataMapper.selectDictDataByType("sys_user_sex");
        ajaxResult.put("sys_user_sex", dictDataList_sex);
        //教学形式
        List<SysDictData> dictDataList_teaching_style = sysDictDataMapper.selectDictDataByType("teaching_style");
        ajaxResult.put("teaching_style", dictDataList_teaching_style);
        //订单状态
        List<SysDictData> dictDataList_order_status = sysDictDataMapper.selectDictDataByType("order_status");
        ajaxResult.put("order_status", dictDataList_order_status);

        //banner
        List<TUBanner> banners = bannerMapper.selectTUBannerList(new TUBanner());
        ajaxResult.put("banners", banners);

        List<SysDictData> dictDataList_student_fee = sysDictDataMapper.selectDictDataByType("student_fee");
        ajaxResult.put("student_fee",dictDataList_student_fee);

        //教师信息
        TUTeacher tuTeacher = new TUTeacher();
        tuTeacher.setUserId(SecurityUtils.getLoginUser().getSysUser().getUserId());
        List teacher_list = tuTeacherMapper.selectTUTeacherList(tuTeacher);
        boolean teacherRegister = false;
        if(teacher_list.size() ==0){
            teacherRegister = false;
        }else{
            teacherRegister = true;
        }
        ajaxResult.put("teacherRegister",teacherRegister);



        SysUser sysUser = sysUserMapper.selectUserById(SecurityUtils.getLoginUser().getSysUser().getUserId());
        ajaxResult.put("userinfo",sysUser);

        //
        SysUserRole sysUserRole = new SysUserRole();
        sysUserRole.setUserId(sysUser.getUserId());
        sysUserRole.setRoleId(100L);
        if (sysUserRoleMapper.countUserRoleByUserId(sysUser.getUserId()) == 0) {
            sysUserRoleMapper.insertUserRole(sysUserRole);
        } else {
            sysUserRoleMapper.updateUserRole(sysUserRole);
        }
        return ajaxResult;
    }

    @Override
    public AjaxResult orderDetail(AppTeacherIndexSearchVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        TUOrder tuOrder = orderMapper.selectTUOrderById(vo.getId());
        ajaxResult.put("orderDetail", tuOrder);
        //记一下教师查看过的单
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        TULookorder tuLookorder = new TULookorder();
        tuLookorder.setFromUserid(sysUser.getUserId());
        tuLookorder.setType(1);
        tuLookorder.setOrderId(tuOrder.getId());
        appBaseService.lookAndcollectionOrder(tuLookorder);
        //记一下这个单对应的人
        TULookcollection tuLookcollection = new TULookcollection();
        tuLookcollection.setTargetUserid(tuOrder.getUserId());
        tuLookcollection.setType(1);
        appBaseService.lookAndcollectionPerson(tuLookcollection);

        //取评价
        TUEvaluate tuEvaluate = new TUEvaluate();
        tuEvaluate.setOrderId(vo.getId());
        tuEvaluate.setFromUserid(sysUser.getUserId());
        List evaluate =  tuEvaluateMapper.selectTUEvaluateList(tuEvaluate);
        ajaxResult.put("evaluate", evaluate);

        //查看是否收藏
        TULookorder lookorder = new TULookorder();
        lookorder.setFromUserid(sysUser.getUserId());
        lookorder.setOrderId(tuOrder.getId());
        lookorder.setType(2);
        List orderconnection = tuLookorderMapper.selectTULookorderList(lookorder);
        boolean isCollection = false;
        if(orderconnection.size() > 0){
            isCollection  = true;
        }
        ajaxResult.put("isCollection", isCollection);
//账户扣款
        SysDictData sysDictData = new SysDictData();
        sysDictData.setDictType("consumption");
        sysDictData.setDictValue("consumption_2");
        List<SysDictData> dict = iSysDictDataService.selectDictDataList(sysDictData);
        Integer money = Integer.parseInt(dict.get(0).getRemark()) ;
        ajaxResult.put("money", money);
        return ajaxResult;
    }

    @Override
    public AjaxResult teacherPayFor(AppTeacherPayForVO vo) {
        SysUser sysUser =  SecurityUtils.getLoginUser().getSysUser();

        //查询次订单是否付过费用
        TUOrder u = new TUOrder();
        u.setId(vo.getOrderId());
        u.setOrderStatus("order_status_2");
        u.setOrderPayUserid(sysUser.getUserId());
        List list = orderMapper.selectTUOrderList(u);
        AjaxResult ajaxResult = new AjaxResult();
        if(list.size() == 0){
            TUTeacher t = new TUTeacher();
            t.setUserId(sysUser.getUserId());
            TUTeacher tuTeacher = tuTeacherMapper.selectTUTeacherList(t).get(0);
            //暂时将订单改为支付状态
            TUOrder tuOrder = new TUOrder();
            tuOrder.setId(vo.getOrderId());
            tuOrder.setOrderPayType("order_pay_type_1");
            tuOrder.setOrderPayUserid(SecurityUtils.getLoginUser().getUserid());
            tuOrder.setOrderStatus("order_status_2");
            tuOrder.setTeacherName(tuTeacher.getTeacherName());
            tuOrder.setTeacherIsIstudent(tuTeacher.getIsIstudent());
            tuOrder.setTeacherSchoolMajor(tuTeacher.getSchoolMajor());
            tuOrder.setTeacherEducation(tuTeacher.getEducation());
            tuOrder.setTeacherUserid(tuTeacher.getUserId());
            tuOrder.setTeacherAvatar(tuTeacher.getTeacherAvatar());
            tuOrder.setTeacherTeacheringage(tuTeacher.getTeacheringAge());



            //账户扣款
            SysDictData sysDictData = new SysDictData();
            sysDictData.setDictType("consumption");
            sysDictData.setDictValue("consumption_2");
            List<SysDictData> dict = iSysDictDataService.selectDictDataList(sysDictData);
            Integer money = Integer.parseInt(dict.get(0).getRemark()) ;

            //
            TUAccount  account = tuAccountMapper.selectTUAccountByUserId(sysUser.getUserId());
            if(account.getMoney() - money <0){
                return AjaxResult.error("余额不足");
            }else{
                account.setMoney(account.getMoney()-money);
                tuAccountMapper.updateTUAccount(account);
            }

            orderMapper.updateTUOrder(tuOrder);
        }
        return ajaxResult;
    }

    @Override
    public AjaxResult teacherFinishOrder(AppTeacherFinishOrderVO vo) {
        AjaxResult ajaxResult = new AjaxResult();
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        vo.setOrderFinishType("order_finish_type_1");
        vo.setOrderFinishUserid(sysUser.getUserId());
        vo.setOrderStatus("order_status_3");
        orderMapper.updateTUOrder(vo);
        return ajaxResult;
    }

    @Override
    public AjaxResult teacherLookCollection(AppTeacherLookCollectionVO vo) {
        //收藏这个订单
        AjaxResult ajaxResult = new AjaxResult();
        TUOrder tuOrder = orderMapper.selectTUOrderById(vo.getId());
        //记一下教师查看过的单
        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        TULookorder tuLookorder = new TULookorder();
        tuLookorder.setFromUserid(sysUser.getUserId());
        tuLookorder.setType(2);
        tuLookorder.setOrderId(tuOrder.getId());
        appBaseService.lookAndcollectionOrder(tuLookorder);
        //记一下这个单对应的人
        TULookcollection tuLookcollection = new TULookcollection();
        tuLookcollection.setTargetUserid(tuOrder.getUserId());
        tuLookcollection.setType(2);
        appBaseService.lookAndcollectionPerson(tuLookcollection);
        return ajaxResult;

    }
}
