package com.ruoyi.system.app.teacher_mine.service.impl;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.api.model.LoginUser;
import com.ruoyi.system.app.teacher_mine.domain.AppTeacherEditVO;
import com.ruoyi.system.app.teacher_mine.service.AppTeacherMineService;
import com.ruoyi.system.application.domain.TUAccount;
import com.ruoyi.system.application.domain.TUCustomerser;
import com.ruoyi.system.application.domain.TUEvaluate;
import com.ruoyi.system.application.domain.TUTeacher;
import com.ruoyi.system.application.mapper.TUAccountMapper;
import com.ruoyi.system.application.mapper.TUCustomerserMapper;
import com.ruoyi.system.application.mapper.TUEvaluateMapper;
import com.ruoyi.system.application.mapper.TUTeacherMapper;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppTeacherMineServiceImpl implements AppTeacherMineService {


    @Resource
    TUAccountMapper tuAccountMapper;

    @Resource
    TUTeacherMapper tuTeacherMapper;

    @Resource
    TUCustomerserMapper tuCustomerserMapper;

    @Resource
    TUEvaluateMapper tuEvaluateMapper;

    @Override
    public AjaxResult teacherMineInit() {

        AjaxResult ajaxResult = new AjaxResult();
        //基本信息
        LoginUser loginUser = SecurityUtils.getLoginUser();
        ajaxResult.put("loginUser", loginUser);
        //账户信息
        TUAccount account = tuAccountMapper.selectTUAccountByUserId(loginUser.getSysUser().getUserId());
        ajaxResult.put("account", account);

        TUTeacher tuTeacher = new TUTeacher();
        tuTeacher.setUserId(loginUser.getSysUser().getUserId());

        List list = tuTeacherMapper.selectTUTeacherList(tuTeacher);
        if(list.size() ==0){
            ajaxResult.put("teacher", new TUTeacher());
        }else{
            ajaxResult.put("teacher", list.get(0));
        }

        return ajaxResult;
    }

    @Override
    public AjaxResult editTeacher(AppTeacherEditVO vo) {
        TUTeacher tuTeacher = new TUTeacher();
        tuTeacher.setUserId(SecurityUtils.getLoginUser().getSysUser().getUserId());
        TUTeacher t = tuTeacherMapper.selectTUTeacherList(tuTeacher).get(0);
        vo.setId(t.getId());
        tuTeacherMapper.updateTUTeacher(vo);
        return AjaxResult.success();
    }


}
