package com.ruoyi.system.app.teacher_order.controller;

import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.page.TableDataInfo;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.teacher_order.domain.AppTeacherOrderQueryVO;
import com.ruoyi.system.app.teacher_order.service.AppTeacherOrderService;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.service.ISysUserService;
import com.ruoyi.system.tools.DateUtils;
import com.ruoyi.system.tools.PositionUtil_5;
import org.gavaghan.geodesy.Ellipsoid;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.DecimalFormat;
import java.util.List;

@RestController
@RequestMapping("/app/AppTeacherOrderController")
public class AppTeacherOrderController extends BaseController {

    @Resource
    AppTeacherOrderService appTeacherOrderService;
    @Resource
    ISysUserService iSysUserService;

    @GetMapping("orderQuery")
    public TableDataInfo orderQuery(AppTeacherOrderQueryVO vo) {
        startPage();
        List list = appTeacherOrderService.orderQuery(vo);

        TableDataInfo tableDataInfo = getDataTable(list);

        DecimalFormat df = new DecimalFormat("#.##");
        List tblist = tableDataInfo.getRows();
        for (int i = 0; i < tblist.size(); i++) {
            TUOrder tuOrder = (TUOrder)tblist.get(i);
            SysUser u = iSysUserService.selectUserById(tuOrder.getTeacherUserid());
            String loginMsg = DateUtils.loginDate(u.getLoginDate());
            tuOrder.setLoginDate(loginMsg);

            if(tuOrder.getOrderLocationLat() == null || tuOrder.getOrderLocationLng() == null || vo.getCurrentLng() == null || vo.getCurrentLat() == null){
                tuOrder.setDistance("无效定位");
            }else{
                double dis5 = PositionUtil_5.getDistance(Double.parseDouble(tuOrder.getOrderLocationLng()), Double.parseDouble(tuOrder.getOrderLocationLat()), Double.parseDouble(vo.getCurrentLng()), Double.parseDouble(vo.getCurrentLat()), Ellipsoid.WGS84);
                tuOrder.setDistance(df.format(dis5/1000));
            }
        }

        return tableDataInfo;
    }
}
