package com.ruoyi.system.app.teacher_regedit.service.impl;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.common.security.utils.SecurityUtils;
import com.ruoyi.system.api.domain.SysDictData;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.app.teacher_regedit.domain.AppTeacherRegeditVO;
import com.ruoyi.system.app.teacher_regedit.service.AppTeacherRegisterService;
import com.ruoyi.system.application.domain.*;
import com.ruoyi.system.application.mapper.*;
import com.ruoyi.system.mapper.SysConfigMapper;
import com.ruoyi.system.mapper.SysDictDataMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.service.ISysConfigService;
import com.ruoyi.system.service.ISysUserService;
import org.apache.poi.ss.formula.functions.T;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class AppTeacherRegisterServiceImpl implements AppTeacherRegisterService {

    @Resource
    SysDictDataMapper sysDictDataMapper;

    @Resource
    TUTeacherMapper tuTeacherMapper;

    @Resource
    ISysConfigService iSysConfigService;

    @Resource
    TUTeacherGradesubjectMapper tuTeacherGradesubjectMapper;
    @Resource
    TUGradesubjectMapper tuGradesubjectMapper;
    @Resource
    TUTeacherAreaMapper tuTeacherAreaMapper;

    @Resource
    TUTeachingareaMapper tuTeachingareaMapper;

    @Resource
    TAttachMapper tAttachMapper;

    @Resource
    SysUserMapper sysUserMapper;




    @Override
    public AjaxResult registerInit() {

        AjaxResult ajaxResult = new AjaxResult();
        //性别
        List<SysDictData> dictDataList_sex = sysDictDataMapper.selectDictDataByType("sys_user_sex");
        ajaxResult.put("sys_user_sex", dictDataList_sex);
        //学历
        List<SysDictData> dictDataList_education = sysDictDataMapper.selectDictDataByType("education");
        ajaxResult.put("education", dictDataList_education);
        //教学形式
        List<SysDictData> dictDataList_teaching_style = sysDictDataMapper.selectDictDataByType("teaching_style");
        ajaxResult.put("teaching_style", dictDataList_teaching_style);
        //教学方式
        List<SysDictData> dictDataList_teaching_function = sysDictDataMapper.selectDictDataByType("teaching_function");
        ajaxResult.put("teaching_function", dictDataList_teaching_function);
        //学位
        List<SysDictData> dictDataList_degree = sysDictDataMapper.selectDictDataByType("degree");
        ajaxResult.put("degree", dictDataList_degree);
        //学位
        List<SysDictData> dictDataList_teachering_age = sysDictDataMapper.selectDictDataByType("teachering_age");
        ajaxResult.put("teachering_age", dictDataList_teachering_age);
        //任教对象
        List<SysDictData> dictDataList_eaching_object = sysDictDataMapper.selectDictDataByType("teaching_object");
        ajaxResult.put("teaching_object", dictDataList_eaching_object);
        //价格区间
        List<SysDictData> dictDataList_student_fee = sysDictDataMapper.selectDictDataByType("student_fee");
        ajaxResult.put("student_fee", dictDataList_student_fee);


        //
        String resource_path = iSysConfigService.selectConfigByKey("resource_path");
        String upload_path = iSysConfigService.selectConfigByKey("upload_path");
        ajaxResult.put("resource_path", resource_path);
        ajaxResult.put("upload_path", upload_path);
        //
        TUTeacher tuTeacher = new TUTeacher();
        tuTeacher.setUserId(SecurityUtils.getUserId());
        List<TUTeacher> list = tuTeacherMapper.selectTUTeacherList(tuTeacher);

        SysUser sysUser = sysUserMapper.selectUserById(SecurityUtils.getLoginUser().getSysUser().getUserId());
        boolean toEditInfo = false;
        if (sysUser.getNickName() == null || sysUser.getNickName().equals("未注册") || sysUser.getPhonenumber() == null || sysUser.getPhonenumber().equals("未注册") || sysUser.getAvatar() == null) {
            toEditInfo = true;
        }
        ajaxResult.put("toEditInfo", toEditInfo);

        if (list.size() == 0) {
            ajaxResult.put("canRegedit", true);
        } else {
            String certificate = list.get(0).getCertificate();
            TAttach tAttach = new TAttach();
            tAttach.setBusinessId(certificate);
            List<TAttach> certificateAttachList = tAttachMapper.selectTAttachList(tAttach);
            String certificateAttachPath ="";
            for(TAttach s : certificateAttachList){
                certificateAttachPath+= s.getPath()+",";
            }

            ajaxResult.put("certificateAttachPath", certificateAttachPath);
            ajaxResult.put("certificateAttachList", certificateAttachList);
            ajaxResult.put("canRegedit", false);
            ajaxResult.put("teacher_info", list.get(0));
            ajaxResult.put("teacher_user_info", sysUser);

            TUTeacherArea tuTeacherArea = new TUTeacherArea();
            tuTeacherArea.setTeacherId(list.get(0).getId());
            List<TUTeacherArea> teacherAreaList = tuTeacherAreaMapper.selectTUTeacherAreaList(tuTeacherArea);
            String teacherAreaStr ="";
            for(TUTeacherArea s:teacherAreaList){
                teacherAreaStr+= s.getAreaId()+",";
            }
            ajaxResult.put("teacherAreaStr", teacherAreaStr);
            TUTeacherGradesubject tuTeacherGradesubject = new TUTeacherGradesubject();
            tuTeacherGradesubject.setTeacherId(list.get(0).getId());
            List<TUTeacherGradesubject> teacherGradesubectList = tuTeacherGradesubjectMapper.selectTUTeacherGradesubjectList(tuTeacherGradesubject);
            String teacherGradesubectStr ="";
            for(TUTeacherGradesubject s: teacherGradesubectList){
                teacherGradesubectStr+= s.getGradesubjectId()+",";
            }



            ajaxResult.put("teacherGradesubectStr", teacherGradesubectStr);



        }


        return ajaxResult;
    }

    @Override
    @Transactional
    public AjaxResult registerTeacher(AppTeacherRegeditVO vo) {

        //两个区域 -去掉前端的逗号
        if (vo.getTeacherArea().lastIndexOf(",") == vo.getTeacherArea().length() - 1) {
            vo.setTeacherArea(vo.getTeacherArea().substring(0, vo.getTeacherArea().length() - 1));
        }
        if (vo.getTeacheringAge().lastIndexOf(",") == vo.getTeacheringAge().length() - 1) {
            vo.setTeacheringAge(vo.getTeacheringAge().substring(0, vo.getTeacheringAge().length() - 1));
        }

        SysUser sysUser = SecurityUtils.getLoginUser().getSysUser();
        SysUser user = new SysUser();
        user.setUserId(sysUser.getUserId());
        user.setPhonenumber(vo.getPhonenumber());
        sysUserMapper.updateUser(user);


        AjaxResult ajaxResult = new AjaxResult();
        //查询本人是否注册过教师
        TUTeacher tuTeacher = new TUTeacher();
        tuTeacher.setUserId(SecurityUtils.getUserId());
        List<TUTeacher> list = tuTeacherMapper.selectTUTeacherList(tuTeacher);
        String cert_business_id = UUID.fastUUID().toString();
        if (list.size() == 0) {
            //没有注册过，可以继续
            String id = UUID.fastUUID().toString();
            vo.setId(id);
            vo.setTeacherStatus("teacher_status_1");
            vo.setTeacherWorkStatus("teacher_work_status_1");
            vo.setUserId(SecurityUtils.getUserId());
            vo.setCertificate(cert_business_id);
            vo.setTeacherAvatar(sysUser.getAvatar());

            tuTeacherMapper.insertTUTeacher(vo);



            //注册过的人员信息
            ajaxResult.put("canRegedit", false);
            ajaxResult.put("teacher_info", tuTeacherMapper.selectTUTeacherById(id));
        } else {
            tAttachMapper.deleteTAttachByBusinessId(tuTeacher.getCertificate());
            vo.setId(list.get(0).getId());
            vo.setCertificate(cert_business_id);
            tuTeacherMapper.updateTUTeacher(vo);
            //AjaxResult.error("此微信已经注册过");//此微信已经注册过
        }


        //添加任教区域
        tuTeacherAreaMapper.deleteTUTeacherAreaByTeacherId(vo.getId());
        tuTeacherGradesubjectMapper.deleteTUTeacherGradesubjectByTeacherId(vo.getId());
        String teacherAreaStrs = vo.getTeacherArea();
        String areas[] = teacherAreaStrs.split(",");
        for (String a : areas) {
            //查询区域信息
            TUTeachingarea area = tuTeachingareaMapper.selectTUTeachingareaById(a);
            //
            TUTeacherArea teacherArea = new TUTeacherArea();
            teacherArea.setId(UUID.fastUUID().toString());
            teacherArea.setAreaId(a);
            teacherArea.setAreaName(area.getAreaName());
            teacherArea.setTeacherId(vo.getId());
            teacherArea.setTeacherName(vo.getTeacherName());
            tuTeacherAreaMapper.insertTUTeacherArea(teacherArea);
        }
        //添加年级学科
        String teacherGradesubject = vo.getTeacherGradesubject();
        String subjects[] = teacherGradesubject.split(",");
        for (String s : subjects) {
            //查询区域信息
            TUGradesubject sub = tuGradesubjectMapper.selectTUGradesubjectById(s);
            //                //
            TUTeacherGradesubject gradesubject = new TUTeacherGradesubject();
            gradesubject.setId(UUID.fastUUID().toString());
            gradesubject.setGradesubjectId(s);
            gradesubject.setGradesubjectName(sub.getName());
            gradesubject.setTeacherId(vo.getId());
            gradesubject.setTeacherName(vo.getTeacherName());
            tuTeacherGradesubjectMapper.insertTUTeacherGradesubject(gradesubject);
        }
        //证书
        String certificate = vo.getCertificateAttach();
        if (certificate != null && !certificate.equals("")) {
            String cer[] = certificate.split(",");
            for (int i = 0; i < cer.length; i++) {
                String c = cer[i];
                TAttach tAttach = new TAttach();
                tAttach.setId(UUID.fastUUID().toString());
                tAttach.setAttachName("教师证书附件");
                tAttach.setPath(c);
                tAttach.setBusinessId(cert_business_id);
                tAttach.setSeq((i + 1));
                tAttachMapper.insertTAttach(tAttach);
            }
        }


        return ajaxResult;
    }
}
