package com.ruoyi.system.application.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 账户日志对象 t_u_account_log
 * 
 * @author ruoyi
 * @date 2024-06-19
 */
public class TUAccountLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 微信openid */
    @Excel(name = "微信openid")
    private String wxOpenid;

    /** 变动时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "变动时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date logTime;

    /** 变动方式(1-扣 2-增) */
    @Excel(name = "变动方式(1-扣 2-增)")
    private Integer logType;

    /** 变动前 */
    @Excel(name = "变动前")
    private Integer moneyBefore;

    /** 变动后 */
    @Excel(name = "变动后")
    private Integer moneyAfter;

    /** 变动金额 */
    @Excel(name = "变动金额")
    private Integer moneyChange;

    /** 关联支付id */
    @Excel(name = "关联支付id")
    private String paymentId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setWxOpenid(String wxOpenid) 
    {
        this.wxOpenid = wxOpenid;
    }

    public String getWxOpenid() 
    {
        return wxOpenid;
    }
    public void setLogTime(Date logTime) 
    {
        this.logTime = logTime;
    }

    public Date getLogTime() 
    {
        return logTime;
    }
    public void setLogType(Integer logType)
    {
        this.logType = logType;
    }

    public Integer getLogType()
    {
        return logType;
    }
    public void setMoneyBefore(Integer moneyBefore)
    {
        this.moneyBefore = moneyBefore;
    }

    public Integer getMoneyBefore()
    {
        return moneyBefore;
    }
    public void setMoneyAfter(Integer moneyAfter)
    {
        this.moneyAfter = moneyAfter;
    }

    public Integer getMoneyAfter()
    {
        return moneyAfter;
    }
    public void setMoneyChange(Integer moneyChange)
    {
        this.moneyChange = moneyChange;
    }

    public Integer getMoneyChange()
    {
        return moneyChange;
    }
    public void setPaymentId(String paymentId) 
    {
        this.paymentId = paymentId;
    }

    public String getPaymentId() 
    {
        return paymentId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("wxOpenid", getWxOpenid())
            .append("logTime", getLogTime())
            .append("logType", getLogType())
            .append("moneyBefore", getMoneyBefore())
            .append("moneyAfter", getMoneyAfter())
            .append("moneyChange", getMoneyChange())
            .append("paymentId", getPaymentId())
            .toString();
    }
}
