package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 业务订单对象 t_u_order
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TUOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long userId;

    /** 创建人昵称 */
    @Excel(name = "创建人昵称")
    private String userNickname;

    /** 创建人所属区域 */
    @Excel(name = "创建人所属区域")
    private String userAreaId;

    /** 创建人区域名称 */
    @Excel(name = "创建人区域名称")
    private String userAreaName;

    /** 创建人头像 */
    @Excel(name = "创建人头像")
    private String userAvatar;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private Integer orderCode;

    /** 订单发布给(null为广场) */
    @Excel(name = "订单发布给(null为广场)")
    private Long orderTo;

    /** 订单类型(字典) */
    @Excel(name = "订单类型(字典)")
    private String orderType;

    private String orderTypeDictLabel;

    /** 订单状态(字典) */
    @Excel(name = "订单状态(字典)")
    private String orderStatus;

    private String orderStatusDictLabel;

    /** 发单定位 */
    @Excel(name = "发单定位")
    private String orderLocation;
    private String orderLocationLng;
    private String orderLocationLat;

    /** 订单支付方类型(字典) */
    @Excel(name = "订单支付方类型(字典)")
    private String orderPayType;

    private String orderPayTypeDictLabel;

    /** 订单支付方id */
    @Excel(name = "订单支付方id")
    private Long orderPayUserid;

    /** 订单完成方类型(字典) */
    @Excel(name = "订单完成方类型(字典)")
    private String orderFinishType;

    private String orderFinishTypeDictLabel;

    /** 订单完成人id */
    @Excel(name = "订单完成人id")
    private Long orderFinishUserid;

    /** 学生姓名 */
    @Excel(name = "学生姓名")
    private String studentName;

    private String studentPhonenumber;

    /** 性别(字典) */
    @Excel(name = "性别(字典)")
    private String studentSex;

    private String studentSexDictLabel;

    private String studentAvatar;

    /** 学校 */
    @Excel(name = "学校")
    private String studentSchool;

    /** 年级科目id */
    @Excel(name = "年级科目id")
    private String studentGradesubjectId;

    /** 年级科目名称 */
    @Excel(name = "年级科目名称")
    private String studentGradesubjectName;

    /** 成绩分类(字典) */
    @Excel(name = "成绩分类(字典)")
    private String studentScroeType;

    private String studentScroeTypeDictLabel;

    /** 教学形式(字典) */
    @Excel(name = "教学形式(字典)")
    private String studentTeachingStyle;

    private String studentTeachingStyleDictLabel;

    /** 孩子介绍 */
    @Excel(name = "孩子介绍")
    private String studentIntroduce;

    /** 需要辅导内容 */
    @Excel(name = "需要辅导内容")
    private String studentNeedContent;

    /** 对老师要求 */
    @Excel(name = "对老师要求")
    private String studentRequirement;

    /** 是否需要试岗(字典) */
    @Excel(name = "是否需要试岗(字典)")
    private String studentNeedtestteacher;

    private String studentNeedtestteacherDictLabel;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String studentAddress;

    /** 上课时间 */
    @Excel(name = "上课时间")
    private String studentLessiontime;

    /** 上课费用下线 */
    @Excel(name = "上课费用下线")
    private Long studentFeeMin;

    /** 上课费用上线 */
    @Excel(name = "上课费用上线")
    private Long studentFeeMax;

    /** 学生对此单的评价 */
    @Excel(name = "学生对此单的评价")
    private String studentComment;

    private String studentFconntime;

    /** 教师姓名 */
    @Excel(name = "教师姓名")
    private String teacherName;

    /** 教师是否是学生(字典) */
    @Excel(name = "教师是否是学生(字典)")
    private String teacherIsIstudent;

    private String teacherIsIstudentDictLabel;

    /** 教师院校及专业 */
    @Excel(name = "教师院校及专业")
    private String teacherSchoolMajor;

    /** 教师学历(字典) */
    @Excel(name = "教师学历(字典)")
    private String teacherEducation;

    private String teacherEducationDictLabel;

    /** 教师头像 */
    @Excel(name = "教师头像")
    private String teacherAvatar;

    /** 教师对此单的评价 */
    @Excel(name = "教师对此单的评价")
    private String teacherComment;

    /** 教师科目(多个) */
    @Excel(name = "教师科目(多个)")
    private String teacherGradesubject;

    /** 教师任教区域(多个) */
    @Excel(name = "教师任教区域(多个)")
    private String teacherTeachingarea;

    private String teacherTeachingStyle;
    private String teacherTeachingStyleDickLabel;
    private String teacherMylocation;




    private Long studentUserid;
    private Long teacherUserid;

    private String teacherSexDictLabel;
    private String teacherTeachingareaDict;

    private String teacherTeacheringage;
    private String teacherTeacheringageDictLabel;

    private String searchOrderStatus;
    private String selectedTeacherCity;
    String currentLat = "0";
    String currentLng = "0";
    private String distance;
    private String loginDate;
    private Integer studentFee;

    //支付方不是这个人
    private Long notPayUserId;

    public Long getNotMyPayUserId() {
        return notPayUserId;
    }

    public void setNotMyPayUserId(Long notMyPayUserId) {
        this.notPayUserId = notMyPayUserId;
    }

    private String selectedParentsCity;

    public String getSelectedParentsCity() {
        return selectedParentsCity;
    }

    public void setSelectedParentsCity(String selectedParentsCity) {
        this.selectedParentsCity = selectedParentsCity;
    }

    public Integer getStudentFee() {
        return studentFee;
    }

    public void setStudentFee(Integer studentFee) {
        this.studentFee = studentFee;
    }

    public String getStudentFconntime() {
        return studentFconntime;
    }

    public void setStudentFconntime(String studentFconntime) {
        this.studentFconntime = studentFconntime;
    }

    public String getTeacherTeachingStyle() {
        return teacherTeachingStyle;
    }

    public void setTeacherTeachingStyle(String teacherTeachingStyle) {
        this.teacherTeachingStyle = teacherTeachingStyle;
    }

    public String getTeacherTeachingStyleDickLabel() {
        return teacherTeachingStyleDickLabel;
    }

    public void setTeacherTeachingStyleDickLabel(String teacherTeachingStyleDickLabel) {
        this.teacherTeachingStyleDickLabel = teacherTeachingStyleDickLabel;
    }


    public String getTeacherMylocation() {
        return teacherMylocation;
    }

    public void setTeacherMylocation(String teacherMylocation) {
        this.teacherMylocation = teacherMylocation;
    }

    public String getLoginDate() {
        return loginDate;
    }

    public void setLoginDate(String loginDate) {
        this.loginDate = loginDate;
    }

    public String getCurrentLat() {
        return currentLat;
    }

    public void setCurrentLat(String currentLat) {
        this.currentLat = currentLat;
    }
    public String getSelectedTeacherCity() {
        return selectedTeacherCity;
    }

    public void setSelectedTeacherCity(String selectedTeacherCity) {
        this.selectedTeacherCity = selectedTeacherCity;
    }
    public String getCurrentLng() {
        return currentLng;
    }

    public void setCurrentLng(String currentLng) {
        this.currentLng = currentLng;
    }

    public String getDistance() {
        return distance;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public String getSearchOrderStatus() {
        return searchOrderStatus;
    }



    public void setSearchOrderStatus(String searchOrderStatus) {
        this.searchOrderStatus = searchOrderStatus;
    }

    public String getTeacherTeacheringageDictLabel() {
        return teacherTeacheringageDictLabel;
    }

    public void setTeacherTeacheringageDictLabel(String teacherTeacheringageDictLabel) {
        this.teacherTeacheringageDictLabel = teacherTeacheringageDictLabel;
    }

    public String getTeacherTeacheringage() {
        return teacherTeacheringage;
    }

    public void setTeacherTeacheringage(String teacherTeacheringage) {
        this.teacherTeacheringage = teacherTeacheringage;
    }

    public String getStudentAvatar() {
        return studentAvatar;
    }

    public void setStudentAvatar(String studentAvatar) {
        this.studentAvatar = studentAvatar;
    }

    public String getTeacherTeachingareaDict() {
        return teacherTeachingareaDict;
    }

    public void setTeacherTeachingareaDict(String teacherTeachingareaDict) {
        this.teacherTeachingareaDict = teacherTeachingareaDict;
    }

    public Long getStudentUserid() {
        return studentUserid;
    }

    public void setStudentUserid(Long studentUserid) {
        this.studentUserid = studentUserid;
    }

    public Long getTeacherUserid() {
        return teacherUserid;
    }

    public void setTeacherUserid(Long teacherUserid) {
        this.teacherUserid = teacherUserid;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getTeacherSexDictLabel() {
        return teacherSexDictLabel;
    }

    public String getOrderLocationLng() {
        return orderLocationLng;
    }

    public void setOrderLocationLng(String orderLocationLng) {
        this.orderLocationLng = orderLocationLng;
    }

    public String getOrderLocationLat() {
        return orderLocationLat;
    }

    public void setOrderLocationLat(String orderLocationLat) {
        this.orderLocationLat = orderLocationLat;
    }

    public void setTeacherSexDictLabel(String teacherSexDictLabel) {
        this.teacherSexDictLabel = teacherSexDictLabel;
    }

    public String getId()
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserNickname(String userNickname) 
    {
        this.userNickname = userNickname;
    }

    public String getUserNickname() 
    {
        return userNickname;
    }
    public void setUserAreaId(String userAreaId) 
    {
        this.userAreaId = userAreaId;
    }

    public String getUserAreaId() 
    {
        return userAreaId;
    }
    public void setUserAreaName(String userAreaName) 
    {
        this.userAreaName = userAreaName;
    }

    public String getUserAreaName() 
    {
        return userAreaName;
    }
    public void setUserAvatar(String userAvatar) 
    {
        this.userAvatar = userAvatar;
    }

    public String getUserAvatar() 
    {
        return userAvatar;
    }
    public void setOrderCode(Integer orderCode)
    {
        this.orderCode = orderCode;
    }

    public Integer getOrderCode()
    {
        return orderCode;
    }

    public String getStudentPhonenumber() {
        return studentPhonenumber;
    }

    public void setStudentPhonenumber(String studentPhonenumber) {
        this.studentPhonenumber = studentPhonenumber;
    }

    public void setOrderTo(Long orderTo)
    {
        this.orderTo = orderTo;
    }

    public String getOrderTypeDictLabel() {
        return orderTypeDictLabel;
    }

    public void setOrderTypeDictLabel(String orderTypeDictLabel) {
        this.orderTypeDictLabel = orderTypeDictLabel;
    }

    public String getOrderStatusDictLabel() {
        return orderStatusDictLabel;
    }

    public void setOrderStatusDictLabel(String orderStatusDictLabel) {
        this.orderStatusDictLabel = orderStatusDictLabel;
    }

    public String getOrderPayTypeDictLabel() {
        return orderPayTypeDictLabel;
    }

    public void setOrderPayTypeDictLabel(String orderPayTypeDictLabel) {
        this.orderPayTypeDictLabel = orderPayTypeDictLabel;
    }

    public String getOrderFinishTypeDictLabel() {
        return orderFinishTypeDictLabel;
    }

    public void setOrderFinishTypeDictLabel(String orderFinishTypeDictLabel) {
        this.orderFinishTypeDictLabel = orderFinishTypeDictLabel;
    }

    public String getStudentSexDictLabel() {
        return studentSexDictLabel;
    }

    public void setStudentSexDictLabel(String studentSexDictLabel) {
        this.studentSexDictLabel = studentSexDictLabel;
    }

    public String getStudentScroeTypeDictLabel() {
        return studentScroeTypeDictLabel;
    }

    public void setStudentScroeTypeDictLabel(String studentScroeTypeDictLabel) {
        this.studentScroeTypeDictLabel = studentScroeTypeDictLabel;
    }

    public String getStudentTeachingStyleDictLabel() {
        return studentTeachingStyleDictLabel;
    }

    public void setStudentTeachingStyleDictLabel(String studentTeachingStyleDictLabel) {
        this.studentTeachingStyleDictLabel = studentTeachingStyleDictLabel;
    }

    public String getStudentNeedtestteacherDictLabel() {
        return studentNeedtestteacherDictLabel;
    }

    public void setStudentNeedtestteacherDictLabel(String studentNeedtestteacherDictLabel) {
        this.studentNeedtestteacherDictLabel = studentNeedtestteacherDictLabel;
    }

    public String getTeacherIsIstudentDictLabel() {
        return teacherIsIstudentDictLabel;
    }

    public void setTeacherIsIstudentDictLabel(String teacherIsIstudentDictLabel) {
        this.teacherIsIstudentDictLabel = teacherIsIstudentDictLabel;
    }

    public String getTeacherEducationDictLabel() {
        return teacherEducationDictLabel;
    }

    public void setTeacherEducationDictLabel(String teacherEducationDictLabel) {
        this.teacherEducationDictLabel = teacherEducationDictLabel;
    }

    public Long getOrderTo()
    {
        return orderTo;
    }
    public void setOrderType(String orderType) 
    {
        this.orderType = orderType;
    }

    public String getOrderType() 
    {
        return orderType;
    }
    public void setOrderStatus(String orderStatus) 
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus() 
    {
        return orderStatus;
    }
    public void setOrderLocation(String orderLocation) 
    {
        this.orderLocation = orderLocation;
    }

    public String getOrderLocation() 
    {
        return orderLocation;
    }
    public void setOrderPayType(String orderPayType) 
    {
        this.orderPayType = orderPayType;
    }

    public String getOrderPayType() 
    {
        return orderPayType;
    }
    public void setOrderPayUserid(Long orderPayUserid) 
    {
        this.orderPayUserid = orderPayUserid;
    }

    public Long getOrderPayUserid() 
    {
        return orderPayUserid;
    }
    public void setOrderFinishType(String orderFinishType) 
    {
        this.orderFinishType = orderFinishType;
    }

    public String getOrderFinishType() 
    {
        return orderFinishType;
    }
    public void setOrderFinishUserid(Long orderFinishUserid) 
    {
        this.orderFinishUserid = orderFinishUserid;
    }

    public Long getOrderFinishUserid() 
    {
        return orderFinishUserid;
    }
    public void setStudentName(String studentName) 
    {
        this.studentName = studentName;
    }

    public String getStudentName() 
    {
        return studentName;
    }
    public void setStudentSex(String studentSex) 
    {
        this.studentSex = studentSex;
    }

    public String getStudentSex() 
    {
        return studentSex;
    }
    public void setStudentSchool(String studentSchool) 
    {
        this.studentSchool = studentSchool;
    }

    public String getStudentSchool() 
    {
        return studentSchool;
    }
    public void setStudentGradesubjectId(String studentGradesubjectId) 
    {
        this.studentGradesubjectId = studentGradesubjectId;
    }

    public String getStudentGradesubjectId() 
    {
        return studentGradesubjectId;
    }
    public void setStudentGradesubjectName(String studentGradesubjectName) 
    {
        this.studentGradesubjectName = studentGradesubjectName;
    }

    public String getStudentGradesubjectName() 
    {
        return studentGradesubjectName;
    }
    public void setStudentScroeType(String studentScroeType) 
    {
        this.studentScroeType = studentScroeType;
    }

    public String getStudentScroeType() 
    {
        return studentScroeType;
    }
    public void setStudentTeachingStyle(String studentTeachingStyle) 
    {
        this.studentTeachingStyle = studentTeachingStyle;
    }

    public String getStudentTeachingStyle() 
    {
        return studentTeachingStyle;
    }
    public void setStudentIntroduce(String studentIntroduce) 
    {
        this.studentIntroduce = studentIntroduce;
    }

    public String getStudentIntroduce() 
    {
        return studentIntroduce;
    }
    public void setStudentNeedContent(String studentNeedContent) 
    {
        this.studentNeedContent = studentNeedContent;
    }

    public String getStudentNeedContent() 
    {
        return studentNeedContent;
    }
    public void setStudentRequirement(String studentRequirement) 
    {
        this.studentRequirement = studentRequirement;
    }

    public String getStudentRequirement() 
    {
        return studentRequirement;
    }
    public void setStudentNeedtestteacher(String studentNeedtestteacher) 
    {
        this.studentNeedtestteacher = studentNeedtestteacher;
    }

    public String getStudentNeedtestteacher() 
    {
        return studentNeedtestteacher;
    }
    public void setStudentAddress(String studentAddress) 
    {
        this.studentAddress = studentAddress;
    }

    public String getStudentAddress() 
    {
        return studentAddress;
    }
    public void setStudentLessiontime(String studentLessiontime) 
    {
        this.studentLessiontime = studentLessiontime;
    }

    public String getStudentLessiontime() 
    {
        return studentLessiontime;
    }
    public void setStudentFeeMin(Long studentFeeMin) 
    {
        this.studentFeeMin = studentFeeMin;
    }

    public Long getStudentFeeMin() 
    {
        return studentFeeMin;
    }
    public void setStudentFeeMax(Long studentFeeMax) 
    {
        this.studentFeeMax = studentFeeMax;
    }

    public Long getStudentFeeMax() 
    {
        return studentFeeMax;
    }
    public void setStudentComment(String studentComment) 
    {
        this.studentComment = studentComment;
    }

    public String getStudentComment() 
    {
        return studentComment;
    }
    public void setTeacherName(String teacherName) 
    {
        this.teacherName = teacherName;
    }

    public String getTeacherName() 
    {
        return teacherName;
    }
    public void setTeacherIsIstudent(String teacherIsIstudent) 
    {
        this.teacherIsIstudent = teacherIsIstudent;
    }

    public String getTeacherIsIstudent() 
    {
        return teacherIsIstudent;
    }
    public void setTeacherSchoolMajor(String teacherSchoolMajor) 
    {
        this.teacherSchoolMajor = teacherSchoolMajor;
    }

    public String getTeacherSchoolMajor() 
    {
        return teacherSchoolMajor;
    }
    public void setTeacherEducation(String teacherEducation) 
    {
        this.teacherEducation = teacherEducation;
    }

    public String getTeacherEducation() 
    {
        return teacherEducation;
    }
    public void setTeacherAvatar(String teacherAvatar) 
    {
        this.teacherAvatar = teacherAvatar;
    }

    public String getTeacherAvatar() 
    {
        return teacherAvatar;
    }
    public void setTeacherComment(String teacherComment) 
    {
        this.teacherComment = teacherComment;
    }

    public String getTeacherComment() 
    {
        return teacherComment;
    }
    public void setTeacherGradesubject(String teacherGradesubject) 
    {
        this.teacherGradesubject = teacherGradesubject;
    }

    public String getTeacherGradesubject() 
    {
        return teacherGradesubject;
    }
    public void setTeacherTeachingarea(String teacherTeachingarea) 
    {
        this.teacherTeachingarea = teacherTeachingarea;
    }

    public String getTeacherTeachingarea() 
    {
        return teacherTeachingarea;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("userId", getUserId())
            .append("userNickname", getUserNickname())
            .append("userAreaId", getUserAreaId())
            .append("userAreaName", getUserAreaName())
            .append("userAvatar", getUserAvatar())
            .append("orderCode", getOrderCode())
            .append("orderTo", getOrderTo())
            .append("orderType", getOrderType())
            .append("orderStatus", getOrderStatus())
            .append("orderLocation", getOrderLocation())
            .append("orderPayType", getOrderPayType())
            .append("orderPayUserid", getOrderPayUserid())
            .append("orderFinishType", getOrderFinishType())
            .append("orderFinishUserid", getOrderFinishUserid())
            .append("studentName", getStudentName())
            .append("studentSex", getStudentSex())
            .append("studentSchool", getStudentSchool())
            .append("studentGradesubjectId", getStudentGradesubjectId())
            .append("studentGradesubjectName", getStudentGradesubjectName())
            .append("studentScroeType", getStudentScroeType())
            .append("studentTeachingStyle", getStudentTeachingStyle())
            .append("studentIntroduce", getStudentIntroduce())
            .append("studentNeedContent", getStudentNeedContent())
            .append("studentRequirement", getStudentRequirement())
            .append("studentNeedtestteacher", getStudentNeedtestteacher())
            .append("studentAddress", getStudentAddress())
            .append("studentLessiontime", getStudentLessiontime())
            .append("studentFeeMin", getStudentFeeMin())
            .append("studentFeeMax", getStudentFeeMax())
            .append("studentComment", getStudentComment())
            .append("teacherName", getTeacherName())
            .append("teacherIsIstudent", getTeacherIsIstudent())
            .append("teacherSchoolMajor", getTeacherSchoolMajor())
            .append("teacherEducation", getTeacherEducation())
            .append("teacherAvatar", getTeacherAvatar())
            .append("teacherComment", getTeacherComment())
            .append("teacherGradesubject", getTeacherGradesubject())
            .append("teacherTeachingarea", getTeacherTeachingarea())
            .toString();
    }
}
