package com.ruoyi.system.application.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 教师基本信息对象 t_u_teacher
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public class TUTeacher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String teacherName;

    /** 身份证 */
    @Excel(name = "身份证")
    private String idCard;

    /** 性别（字典） */
    @Excel(name = "性别", readConverterExp = "字=典")
    private String sysUserSex;

    private String sysUserSexDictLabel;

    /** 学历（字典） */
    @Excel(name = "学历", readConverterExp = "字=典")
    private String education;

    private String educationDictLabel;

    /** 学位（字典） */
    @Excel(name = "学位", readConverterExp = "字=典")
    private String degree;

    private String degreeDictLabel;


    /** 教学形式（字典） */
    @Excel(name = "教学形式", readConverterExp = "字=典")
    private String teachingStyle;
    String teachingStyleDictLabel;


    /** 毕业院校 */
    @Excel(name = "毕业院校")
    private String graduationSchool;

    /** 所属专业 */
    @Excel(name = "所属专业")
    private String major;

    /** 教龄（字典） */
    @Excel(name = "教龄", readConverterExp = "字=典")
    private String teacheringAge;

    private String teacheringAgeDictLabel;

    /** 个人简介 */
    @Excel(name = "个人简介")
    private String personalProfile;

    /** 任教经历 */
    @Excel(name = "任教经历")
    private String teachingExperience;

    /** 简历(附件) */
    @Excel(name = "简历(附件)")
    private String resume;

    /** 证书(附件) */
    @Excel(name = "证书(附件)")
    private String certificate;

    /** 我的位置 */
    @Excel(name = "我的位置")
    private String myLocation;
    private String locationLng;
    private String locationLat;

    /** 辐射范围 */
    @Excel(name = "辐射范围")
    private Long findDistance;

    /** 工资最小值 */
    @Excel(name = "工资最小值")
    private Long wagesMin;

    /** 工资最大值 */
    @Excel(name = "工资最大值")
    private Long wagesMax;

    /** 上课时间段 */
    @Excel(name = "上课时间段")
    private String classTime;

    /** 是否是大学生(字典) */
    @Excel(name = "是否是大学生(字典)")
    private String isIstudent;

    private String isIstudentDictLabel;

    /** 院校及专业 */
    @Excel(name = "院校及专业")
    private String schoolMajor;

    /** 任教对象（字典） */
    @Excel(name = "任教对象", readConverterExp = "字=典")
    private String teachingObject;
    private String teachingObjecDictLabel;

    /** 身份证正面(附件) */
    @Excel(name = "身份证正面(附件)")
    private String idCardZ;

    /** 身份证反面(附件) */
    @Excel(name = "身份证反面(附件)")
    private String idCardF;

    /** 教师资格证(附件) */
    @Excel(name = "教师资格证(附件)")
    private String teachingCert;

    /** 教师状态（字典） */
    @Excel(name = "教师状态", readConverterExp = "字=典")
    private String teacherStatus;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 所属区域 */
    @Excel(name = "所属区域")
    private String areaId;

    private String teachingAreaName;

    /** 教学方式(字典) */
    @Excel(name = "教学方式(字典)")
    private String teachingFunction;

    /** 教师的工作状态(字典) */
    @Excel(name = "教师的工作状态(字典)")
    private String teacherWorkStatus;

    private String teacherLastname;

    //方便联系时间
    private String fconntime;
    private String areaName;

    private String teacherAvatar;

    //--------------------------------------
    private String uNickName;
    private String uAvatar;

    private Long fromUserid;
    private Long targetUserid;



    String teacherGradesubject;



    //首页查询
    String studentGradesubjectName;
    String teacherArea;
    String selectedParentsCity;
    String currentLat = "0";
    String currentLng = "0";
    private String distance;
    private String loginDate;

    public String getLoginDate() {
        return loginDate;
    }

    public void setLoginDate(String loginDate) {
        this.loginDate = loginDate;
    }

    public String getStudentGradesubjectName() {
        return studentGradesubjectName;
    }

    public String getTeacherLastname() {
        return teacherLastname;
    }

    public void setTeacherLastname(String teacherLastname) {
        this.teacherLastname = teacherLastname;
    }

    public Long getFromUserid() {
        return fromUserid;
    }

    public void setFromUserid(Long fromUserid) {
        this.fromUserid = fromUserid;
    }

    public Long getTargetUserid() {
        return targetUserid;
    }

    public void setTargetUserid(Long targetUserid) {
        this.targetUserid = targetUserid;
    }

    public String getTeachingAreaName() {
        return teachingAreaName;
    }

    public void setTeachingAreaName(String teachingAreaName) {
        this.teachingAreaName = teachingAreaName;
    }

    public String getTeacherArea() {
        return teacherArea;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getSelectedParentsCity() {
        return selectedParentsCity;
    }

    public void setSelectedParentsCity(String selectedParentsCity) {
        this.selectedParentsCity = selectedParentsCity;
    }

    public void setTeacherArea(String teacherArea) {
        this.teacherArea = teacherArea;
    }

    public void setStudentGradesubjectName(String studentGradesubjectName) {
        this.studentGradesubjectName = studentGradesubjectName;
    }


    public String getCurrentLat() {
        return currentLat;
    }

    public void setCurrentLat(String currentLat) {
        this.currentLat = currentLat;
    }

    public String getCurrentLng() {
        return currentLng;
    }

    public void setCurrentLng(String currentLng) {
        this.currentLng = currentLng;
    }

    public String getDistance() {
        return distance;
    }

    public String getFconntime() {
        return fconntime;
    }

    public void setFconntime(String fconntime) {
        this.fconntime = fconntime;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public String getTeachingStyleDictLabel() {
        return teachingStyleDictLabel;
    }

    public void setTeachingStyleDictLabel(String teachingStyleDictLabel) {
        this.teachingStyleDictLabel = teachingStyleDictLabel;
    }

    public String getTeacherAvatar() {
        return teacherAvatar;
    }

    public String getTeachingObjecDictLabel() {
        return teachingObjecDictLabel;
    }

    public void setTeachingObjecDictLabel(String teachingObjecDictLabel) {
        this.teachingObjecDictLabel = teachingObjecDictLabel;
    }

    public String getTeacherGradesubject() {
        return teacherGradesubject;
    }

    public void setTeacherGradesubject(String teacherGradesubject) {
        this.teacherGradesubject = teacherGradesubject;
    }

    public void setTeacherAvatar(String teacherAvatar) {
        this.teacherAvatar = teacherAvatar;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getTeacheringAgeDictLabel() {
        return teacheringAgeDictLabel;
    }

    public String getLocationLng() {
        return locationLng;
    }

    public String getuNickName() {
        return uNickName;
    }

    public void setuNickName(String uNickName) {
        this.uNickName = uNickName;
    }

    public String getuAvatar() {
        return uAvatar;
    }

    public void setuAvatar(String uAvatar) {
        this.uAvatar = uAvatar;
    }

    public void setLocationLng(String locationLng) {
        this.locationLng = locationLng;
    }

    public String getLocationLat() {
        return locationLat;
    }

    public void setLocationLat(String locationLat) {
        this.locationLat = locationLat;
    }

    public void setTeacheringAgeDictLabel(String teacheringAgeDictLabel) {
        this.teacheringAgeDictLabel = teacheringAgeDictLabel;
    }

    public String getId()
    {
        return id;
    }
    public void setTeacherName(String teacherName) 
    {
        this.teacherName = teacherName;
    }

    public String getTeacherName() 
    {
        return teacherName;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setSysUserSex(String sysUserSex) 
    {
        this.sysUserSex = sysUserSex;
    }

    public String getSysUserSex() 
    {
        return sysUserSex;
    }
    public void setEducation(String education) 
    {
        this.education = education;
    }

    public String getEducation() 
    {
        return education;
    }
    public void setDegree(String degree) 
    {
        this.degree = degree;
    }

    public String getDegree() 
    {
        return degree;
    }
    public void setTeachingStyle(String teachingStyle) 
    {
        this.teachingStyle = teachingStyle;
    }

    public String getTeachingStyle() 
    {
        return teachingStyle;
    }
    public void setGraduationSchool(String graduationSchool) 
    {
        this.graduationSchool = graduationSchool;
    }

    public String getGraduationSchool() 
    {
        return graduationSchool;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getSysUserSexDictLabel() {
        return sysUserSexDictLabel;
    }



    public void setSysUserSexDictLabel(String sysUserSexDictLabel) {
        this.sysUserSexDictLabel = sysUserSexDictLabel;
    }

    public String getEducationDictLabel() {
        return educationDictLabel;
    }

    public void setEducationDictLabel(String educationDictLabel) {
        this.educationDictLabel = educationDictLabel;
    }

    public String getIsIstudentDictLabel() {
        return isIstudentDictLabel;
    }

    public void setIsIstudentDictLabel(String isIstudentDictLabel) {
        this.isIstudentDictLabel = isIstudentDictLabel;
    }

    public String getDegreeDictLabel() {
        return degreeDictLabel;
    }

    public void setDegreeDictLabel(String degreeDictLabel) {
        this.degreeDictLabel = degreeDictLabel;
    }

    public String getMajor()
    {
        return major;
    }
    public void setTeacheringAge(String teacheringAge) 
    {
        this.teacheringAge = teacheringAge;
    }

    public String getTeacheringAge() 
    {
        return teacheringAge;
    }
    public void setPersonalProfile(String personalProfile) 
    {
        this.personalProfile = personalProfile;
    }

    public String getPersonalProfile() 
    {
        return personalProfile;
    }
    public void setTeachingExperience(String teachingExperience) 
    {
        this.teachingExperience = teachingExperience;
    }

    public String getTeachingExperience() 
    {
        return teachingExperience;
    }
    public void setResume(String resume) 
    {
        this.resume = resume;
    }

    public String getResume() 
    {
        return resume;
    }
    public void setCertificate(String certificate) 
    {
        this.certificate = certificate;
    }

    public String getCertificate() 
    {
        return certificate;
    }
    public void setMyLocation(String myLocation) 
    {
        this.myLocation = myLocation;
    }

    public String getMyLocation() 
    {
        return myLocation;
    }
    public void setFindDistance(Long findDistance) 
    {
        this.findDistance = findDistance;
    }

    public Long getFindDistance() 
    {
        return findDistance;
    }
    public void setWagesMin(Long wagesMin) 
    {
        this.wagesMin = wagesMin;
    }

    public Long getWagesMin() 
    {
        return wagesMin;
    }
    public void setWagesMax(Long wagesMax) 
    {
        this.wagesMax = wagesMax;
    }

    public Long getWagesMax() 
    {
        return wagesMax;
    }
    public void setClassTime(String classTime) 
    {
        this.classTime = classTime;
    }

    public String getClassTime() 
    {
        return classTime;
    }
    public void setIsIstudent(String isIstudent) 
    {
        this.isIstudent = isIstudent;
    }

    public String getIsIstudent() 
    {
        return isIstudent;
    }
    public void setSchoolMajor(String schoolMajor) 
    {
        this.schoolMajor = schoolMajor;
    }

    public String getSchoolMajor() 
    {
        return schoolMajor;
    }
    public void setTeachingObject(String teachingObject) 
    {
        this.teachingObject = teachingObject;
    }

    public String getTeachingObject() 
    {
        return teachingObject;
    }
    public void setIdCardZ(String idCardZ) 
    {
        this.idCardZ = idCardZ;
    }

    public String getIdCardZ() 
    {
        return idCardZ;
    }
    public void setIdCardF(String idCardF) 
    {
        this.idCardF = idCardF;
    }

    public String getIdCardF() 
    {
        return idCardF;
    }
    public void setTeachingCert(String teachingCert) 
    {
        this.teachingCert = teachingCert;
    }

    public String getTeachingCert() 
    {
        return teachingCert;
    }
    public void setTeacherStatus(String teacherStatus) 
    {
        this.teacherStatus = teacherStatus;
    }

    public String getTeacherStatus() 
    {
        return teacherStatus;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setTeachingFunction(String teachingFunction) 
    {
        this.teachingFunction = teachingFunction;
    }

    public String getTeachingFunction() 
    {
        return teachingFunction;
    }
    public void setTeacherWorkStatus(String teacherWorkStatus) 
    {
        this.teacherWorkStatus = teacherWorkStatus;
    }

    public String getTeacherWorkStatus() 
    {
        return teacherWorkStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teacherName", getTeacherName())
            .append("idCard", getIdCard())
            .append("sysUserSex", getSysUserSex())
            .append("education", getEducation())
            .append("degree", getDegree())
            .append("teachingStyle", getTeachingStyle())
            .append("graduationSchool", getGraduationSchool())
            .append("major", getMajor())
            .append("teacheringAge", getTeacheringAge())
            .append("personalProfile", getPersonalProfile())
            .append("teachingExperience", getTeachingExperience())
            .append("resume", getResume())
            .append("certificate", getCertificate())
            .append("myLocation", getMyLocation())
            .append("findDistance", getFindDistance())
            .append("wagesMin", getWagesMin())
            .append("wagesMax", getWagesMax())
            .append("classTime", getClassTime())
            .append("isIstudent", getIsIstudent())
            .append("schoolMajor", getSchoolMajor())
            .append("teachingObject", getTeachingObject())
            .append("idCardZ", getIdCardZ())
            .append("idCardF", getIdCardF())
            .append("teachingCert", getTeachingCert())
            .append("teacherStatus", getTeacherStatus())
            .append("userId", getUserId())
            .append("areaId", getAreaId())
            .append("teachingFunction", getTeachingFunction())
            .append("teacherWorkStatus", getTeacherWorkStatus())
            .toString();
    }
}
