package com.ruoyi.system.application.mapper;

import java.util.List;
import com.ruoyi.system.application.domain.TUBanner;

/**
 * 首页bannerMapper接口
 * 
 * @author ruoyi
 * @date 2024-06-03
 */
public interface TUBannerMapper 
{
    /**
     * 查询首页banner
     * 
     * @param id 首页banner主键
     * @return 首页banner
     */
    public TUBanner selectTUBannerById(String id);

    /**
     * 查询首页banner列表
     * 
     * @param tUBanner 首页banner
     * @return 首页banner集合
     */
    public List<TUBanner> selectTUBannerList(TUBanner tUBanner);

    /**
     * 新增首页banner
     * 
     * @param tUBanner 首页banner
     * @return 结果
     */
    public int insertTUBanner(TUBanner tUBanner);

    /**
     * 修改首页banner
     * 
     * @param tUBanner 首页banner
     * @return 结果
     */
    public int updateTUBanner(TUBanner tUBanner);

    /**
     * 删除首页banner
     * 
     * @param id 首页banner主键
     * @return 结果
     */
    public int deleteTUBannerById(String id);

    /**
     * 批量删除首页banner
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUBannerByIds(String[] ids);
}
