package com.ruoyi.system.application.mapper;

import java.util.List;
import com.ruoyi.system.application.domain.TUEvaluate;

/**
 * 评价Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-03
 */
public interface TUEvaluateMapper 
{
    /**
     * 查询评价
     * 
     * @param id 评价主键
     * @return 评价
     */
    public TUEvaluate selectTUEvaluateById(String id);

    /**
     * 查询评价列表
     * 
     * @param tUEvaluate 评价
     * @return 评价集合
     */
    public List<TUEvaluate> selectTUEvaluateList(TUEvaluate tUEvaluate);

    /**
     * 新增评价
     * 
     * @param tUEvaluate 评价
     * @return 结果
     */
    public int insertTUEvaluate(TUEvaluate tUEvaluate);

    /**
     * 修改评价
     * 
     * @param tUEvaluate 评价
     * @return 结果
     */
    public int updateTUEvaluate(TUEvaluate tUEvaluate);

    /**
     * 删除评价
     * 
     * @param id 评价主键
     * @return 结果
     */
    public int deleteTUEvaluateById(String id);

    /**
     * 批量删除评价
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUEvaluateByIds(String[] ids);
}
