package com.ruoyi.system.application.mapper;

import java.util.List;
import com.ruoyi.system.application.domain.TULookcollection;

/**
 * 看过和收藏Mapper接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface TULookcollectionMapper 
{
    /**
     * 查询看过和收藏
     * 
     * @param id 看过和收藏主键
     * @return 看过和收藏
     */
    public TULookcollection selectTULookcollectionById(String id);

    /**
     * 查询看过和收藏列表
     * 
     * @param tULookcollection 看过和收藏
     * @return 看过和收藏集合
     */
    public List<TULookcollection> selectTULookcollectionList(TULookcollection tULookcollection);

    /**
     * 新增看过和收藏
     * 
     * @param tULookcollection 看过和收藏
     * @return 结果
     */
    public int insertTULookcollection(TULookcollection tULookcollection);

    /**
     * 修改看过和收藏
     * 
     * @param tULookcollection 看过和收藏
     * @return 结果
     */
    public int updateTULookcollection(TULookcollection tULookcollection);

    /**
     * 删除看过和收藏
     * 
     * @param id 看过和收藏主键
     * @return 结果
     */
    public int deleteTULookcollectionById(String id);

    /**
     * 批量删除看过和收藏
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTULookcollectionByIds(String[] ids);
}
