package com.ruoyi.system.application.mapper;

import java.util.List;
import com.ruoyi.system.application.domain.TUOrder;

/**
 * 业务订单Mapper接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface TUOrderMapper 
{
    /**
     * 查询业务订单
     * 
     * @param id 业务订单主键
     * @return 业务订单
     */
    public TUOrder selectTUOrderById(String id);

    /**
     * 查询业务订单列表
     * 
     * @param tUOrder 业务订单
     * @return 业务订单集合
     */
    public List<TUOrder> selectTUOrderList(TUOrder tUOrder);

    public List<TUOrder> selectTUOrderListTeacherIndex(TUOrder tUOrder);

    /**
     * 新增业务订单
     * 
     * @param tUOrder 业务订单
     * @return 结果
     */
    public int insertTUOrder(TUOrder tUOrder);

    /**
     * 修改业务订单
     * 
     * @param tUOrder 业务订单
     * @return 结果
     */
    public int updateTUOrder(TUOrder tUOrder);

    /**
     * 删除业务订单
     * 
     * @param id 业务订单主键
     * @return 结果
     */
    public int deleteTUOrderById(String id);

    /**
     * 批量删除业务订单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTUOrderByIds(String[] ids);
}
