package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TAttach;

/**
 * 附件Service接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface ITAttachService 
{
    /**
     * 查询附件
     * 
     * @param id 附件主键
     * @return 附件
     */
    public TAttach selectTAttachById(String id);

    /**
     * 查询附件列表
     * 
     * @param tAttach 附件
     * @return 附件集合
     */
    public List<TAttach> selectTAttachList(TAttach tAttach);

    /**
     * 新增附件
     * 
     * @param tAttach 附件
     * @return 结果
     */
    public int insertTAttach(TAttach tAttach);

    /**
     * 修改附件
     * 
     * @param tAttach 附件
     * @return 结果
     */
    public int updateTAttach(TAttach tAttach);

    /**
     * 批量删除附件
     * 
     * @param ids 需要删除的附件主键集合
     * @return 结果
     */
    public int deleteTAttachByIds(String[] ids);

    /**
     * 删除附件信息
     * 
     * @param id 附件主键
     * @return 结果
     */
    public int deleteTAttachById(String id);
}
