package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUAccountLog;

/**
 * 账户日志Service接口
 * 
 * @author ruoyi
 * @date 2024-06-19
 */
public interface ITUAccountLogService 
{
    /**
     * 查询账户日志
     * 
     * @param id 账户日志主键
     * @return 账户日志
     */
    public TUAccountLog selectTUAccountLogById(String id);

    /**
     * 查询账户日志列表
     * 
     * @param tUAccountLog 账户日志
     * @return 账户日志集合
     */
    public List<TUAccountLog> selectTUAccountLogList(TUAccountLog tUAccountLog);

    /**
     * 新增账户日志
     * 
     * @param tUAccountLog 账户日志
     * @return 结果
     */
    public int insertTUAccountLog(TUAccountLog tUAccountLog);

    /**
     * 修改账户日志
     * 
     * @param tUAccountLog 账户日志
     * @return 结果
     */
    public int updateTUAccountLog(TUAccountLog tUAccountLog);

    /**
     * 批量删除账户日志
     * 
     * @param ids 需要删除的账户日志主键集合
     * @return 结果
     */
    public int deleteTUAccountLogByIds(String[] ids);

    /**
     * 删除账户日志信息
     * 
     * @param id 账户日志主键
     * @return 结果
     */
    public int deleteTUAccountLogById(String id);
}
