package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUAccount;

/**
 * 账户Service接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface ITUAccountService 
{
    /**
     * 查询账户
     * 
     * @param userId 账户主键
     * @return 账户
     */
    public TUAccount selectTUAccountByUserId(Long userId);

    /**
     * 查询账户列表
     * 
     * @param tUAccount 账户
     * @return 账户集合
     */
    public List<TUAccount> selectTUAccountList(TUAccount tUAccount);

    /**
     * 新增账户
     * 
     * @param tUAccount 账户
     * @return 结果
     */
    public int insertTUAccount(TUAccount tUAccount);

    /**
     * 修改账户
     * 
     * @param tUAccount 账户
     * @return 结果
     */
    public int updateTUAccount(TUAccount tUAccount);

    /**
     * 批量删除账户
     * 
     * @param userIds 需要删除的账户主键集合
     * @return 结果
     */
    public int deleteTUAccountByUserIds(Long[] userIds);

    /**
     * 删除账户信息
     * 
     * @param userId 账户主键
     * @return 结果
     */
    public int deleteTUAccountByUserId(Long userId);
}
