package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUCustomerser;

/**
 * 客服信息Service接口
 * 
 * @author ruoyi
 * @date 2024-07-02
 */
public interface ITUCustomerserService 
{
    /**
     * 查询客服信息
     * 
     * @param id 客服信息主键
     * @return 客服信息
     */
    public TUCustomerser selectTUCustomerserById(String id);

    /**
     * 查询客服信息列表
     * 
     * @param tUCustomerser 客服信息
     * @return 客服信息集合
     */
    public List<TUCustomerser> selectTUCustomerserList(TUCustomerser tUCustomerser);

    /**
     * 新增客服信息
     * 
     * @param tUCustomerser 客服信息
     * @return 结果
     */
    public int insertTUCustomerser(TUCustomerser tUCustomerser);

    /**
     * 修改客服信息
     * 
     * @param tUCustomerser 客服信息
     * @return 结果
     */
    public int updateTUCustomerser(TUCustomerser tUCustomerser);

    /**
     * 批量删除客服信息
     * 
     * @param ids 需要删除的客服信息主键集合
     * @return 结果
     */
    public int deleteTUCustomerserByIds(String[] ids);

    /**
     * 删除客服信息信息
     * 
     * @param id 客服信息主键
     * @return 结果
     */
    public int deleteTUCustomerserById(String id);
}
