package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TULookorder;

/**
 * 看过的订单Service接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface ITULookorderService 
{
    /**
     * 查询看过的订单
     * 
     * @param id 看过的订单主键
     * @return 看过的订单
     */
    public TULookorder selectTULookorderById(String id);

    /**
     * 查询看过的订单列表
     * 
     * @param tULookorder 看过的订单
     * @return 看过的订单集合
     */
    public List<TULookorder> selectTULookorderList(TULookorder tULookorder);

    /**
     * 新增看过的订单
     * 
     * @param tULookorder 看过的订单
     * @return 结果
     */
    public int insertTULookorder(TULookorder tULookorder);

    /**
     * 修改看过的订单
     * 
     * @param tULookorder 看过的订单
     * @return 结果
     */
    public int updateTULookorder(TULookorder tULookorder);

    /**
     * 批量删除看过的订单
     * 
     * @param ids 需要删除的看过的订单主键集合
     * @return 结果
     */
    public int deleteTULookorderByIds(String[] ids);

    /**
     * 删除看过的订单信息
     * 
     * @param id 看过的订单主键
     * @return 结果
     */
    public int deleteTULookorderById(String id);
}
