package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUSchool;

/**
 * 学校信息Service接口
 * 
 * @author ruoyi
 * @date 2024-06-27
 */
public interface ITUSchoolService 
{
    /**
     * 查询学校信息
     * 
     * @param id 学校信息主键
     * @return 学校信息
     */
    public TUSchool selectTUSchoolById(String id);

    /**
     * 查询学校信息列表
     * 
     * @param tUSchool 学校信息
     * @return 学校信息集合
     */
    public List<TUSchool> selectTUSchoolList(TUSchool tUSchool);
    public List<TUSchool> selectTUSchoolListExact(TUSchool tUSchool);
    /**
     * 新增学校信息
     * 
     * @param tUSchool 学校信息
     * @return 结果
     */
    public int insertTUSchool(TUSchool tUSchool);

    /**
     * 修改学校信息
     * 
     * @param tUSchool 学校信息
     * @return 结果
     */
    public int updateTUSchool(TUSchool tUSchool);

    /**
     * 批量删除学校信息
     * 
     * @param ids 需要删除的学校信息主键集合
     * @return 结果
     */
    public int deleteTUSchoolByIds(String[] ids);

    /**
     * 删除学校信息信息
     * 
     * @param id 学校信息主键
     * @return 结果
     */
    public int deleteTUSchoolById(String id);
}
