package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUTeacherArea;

/**
 * 教师对应区域Service接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface ITUTeacherAreaService 
{
    /**
     * 查询教师对应区域
     * 
     * @param id 教师对应区域主键
     * @return 教师对应区域
     */
    public TUTeacherArea selectTUTeacherAreaById(String id);

    /**
     * 查询教师对应区域列表
     * 
     * @param tUTeacherArea 教师对应区域
     * @return 教师对应区域集合
     */
    public List<TUTeacherArea> selectTUTeacherAreaList(TUTeacherArea tUTeacherArea);

    /**
     * 新增教师对应区域
     * 
     * @param tUTeacherArea 教师对应区域
     * @return 结果
     */
    public int insertTUTeacherArea(TUTeacherArea tUTeacherArea);

    /**
     * 修改教师对应区域
     * 
     * @param tUTeacherArea 教师对应区域
     * @return 结果
     */
    public int updateTUTeacherArea(TUTeacherArea tUTeacherArea);

    /**
     * 批量删除教师对应区域
     * 
     * @param ids 需要删除的教师对应区域主键集合
     * @return 结果
     */
    public int deleteTUTeacherAreaByIds(String[] ids);

    /**
     * 删除教师对应区域信息
     * 
     * @param id 教师对应区域主键
     * @return 结果
     */
    public int deleteTUTeacherAreaById(String id);
}
