package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUTeacher;

/**
 * 教师基本信息Service接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface ITUTeacherService 
{
    /**
     * 查询教师基本信息
     * 
     * @param id 教师基本信息主键
     * @return 教师基本信息
     */
    public TUTeacher selectTUTeacherById(String id);

    /**
     * 查询教师基本信息列表
     * 
     * @param tUTeacher 教师基本信息
     * @return 教师基本信息集合
     */
    public List<TUTeacher> selectTUTeacherList(TUTeacher tUTeacher);

    /**
     * 新增教师基本信息
     * 
     * @param tUTeacher 教师基本信息
     * @return 结果
     */
    public int insertTUTeacher(TUTeacher tUTeacher);

    /**
     * 修改教师基本信息
     * 
     * @param tUTeacher 教师基本信息
     * @return 结果
     */
    public int updateTUTeacher(TUTeacher tUTeacher);

    /**
     * 批量删除教师基本信息
     * 
     * @param ids 需要删除的教师基本信息主键集合
     * @return 结果
     */
    public int deleteTUTeacherByIds(String[] ids);

    /**
     * 删除教师基本信息信息
     * 
     * @param id 教师基本信息主键
     * @return 结果
     */
    public int deleteTUTeacherById(String id);
}
