package com.ruoyi.system.application.service;

import java.util.List;
import com.ruoyi.system.application.domain.TUTeachingarea;

/**
 * 教学区域Service接口
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
public interface ITUTeachingareaService 
{
    /**
     * 查询教学区域
     * 
     * @param id 教学区域主键
     * @return 教学区域
     */
    public TUTeachingarea selectTUTeachingareaById(String id);

    /**
     * 查询教学区域列表
     * 
     * @param tUTeachingarea 教学区域
     * @return 教学区域集合
     */
    public List<TUTeachingarea> selectTUTeachingareaList(TUTeachingarea tUTeachingarea);

    /**
     * 新增教学区域
     * 
     * @param tUTeachingarea 教学区域
     * @return 结果
     */
    public int insertTUTeachingarea(TUTeachingarea tUTeachingarea);

    /**
     * 修改教学区域
     * 
     * @param tUTeachingarea 教学区域
     * @return 结果
     */
    public int updateTUTeachingarea(TUTeachingarea tUTeachingarea);

    /**
     * 批量删除教学区域
     * 
     * @param ids 需要删除的教学区域主键集合
     * @return 结果
     */
    public int deleteTUTeachingareaByIds(String[] ids);

    /**
     * 删除教学区域信息
     * 
     * @param id 教学区域主键
     * @return 结果
     */
    public int deleteTUTeachingareaById(String id);
}
