package com.ruoyi.system.application.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TAttachMapper;
import com.ruoyi.system.application.domain.TAttach;
import com.ruoyi.system.application.service.ITAttachService;

/**
 * 附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TAttachServiceImpl implements ITAttachService 
{
    @Autowired
    private TAttachMapper tAttachMapper;

    /**
     * 查询附件
     * 
     * @param id 附件主键
     * @return 附件
     */
    @Override
    public TAttach selectTAttachById(String id)
    {
        return tAttachMapper.selectTAttachById(id);
    }

    /**
     * 查询附件列表
     * 
     * @param tAttach 附件
     * @return 附件
     */
    @Override
    public List<TAttach> selectTAttachList(TAttach tAttach)
    {
        return tAttachMapper.selectTAttachList(tAttach);
    }

    /**
     * 新增附件
     * 
     * @param tAttach 附件
     * @return 结果
     */
    @Override
    public int insertTAttach(TAttach tAttach)
    {
        return tAttachMapper.insertTAttach(tAttach);
    }

    /**
     * 修改附件
     * 
     * @param tAttach 附件
     * @return 结果
     */
    @Override
    public int updateTAttach(TAttach tAttach)
    {
        return tAttachMapper.updateTAttach(tAttach);
    }

    /**
     * 批量删除附件
     * 
     * @param ids 需要删除的附件主键
     * @return 结果
     */
    @Override
    public int deleteTAttachByIds(String[] ids)
    {
        return tAttachMapper.deleteTAttachByIds(ids);
    }

    /**
     * 删除附件信息
     * 
     * @param id 附件主键
     * @return 结果
     */
    @Override
    public int deleteTAttachById(String id)
    {
        return tAttachMapper.deleteTAttachById(id);
    }
}
