package com.ruoyi.system.application.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUAccountLogMapper;
import com.ruoyi.system.application.domain.TUAccountLog;
import com.ruoyi.system.application.service.ITUAccountLogService;

/**
 * 账户日志Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-19
 */
@Service
public class TUAccountLogServiceImpl implements ITUAccountLogService 
{
    @Autowired
    private TUAccountLogMapper tUAccountLogMapper;

    /**
     * 查询账户日志
     * 
     * @param id 账户日志主键
     * @return 账户日志
     */
    @Override
    public TUAccountLog selectTUAccountLogById(String id)
    {
        return tUAccountLogMapper.selectTUAccountLogById(id);
    }

    /**
     * 查询账户日志列表
     * 
     * @param tUAccountLog 账户日志
     * @return 账户日志
     */
    @Override
    public List<TUAccountLog> selectTUAccountLogList(TUAccountLog tUAccountLog)
    {
        return tUAccountLogMapper.selectTUAccountLogList(tUAccountLog);
    }

    /**
     * 新增账户日志
     * 
     * @param tUAccountLog 账户日志
     * @return 结果
     */
    @Override
    public int insertTUAccountLog(TUAccountLog tUAccountLog)
    {
        return tUAccountLogMapper.insertTUAccountLog(tUAccountLog);
    }

    /**
     * 修改账户日志
     * 
     * @param tUAccountLog 账户日志
     * @return 结果
     */
    @Override
    public int updateTUAccountLog(TUAccountLog tUAccountLog)
    {
        return tUAccountLogMapper.updateTUAccountLog(tUAccountLog);
    }

    /**
     * 批量删除账户日志
     * 
     * @param ids 需要删除的账户日志主键
     * @return 结果
     */
    @Override
    public int deleteTUAccountLogByIds(String[] ids)
    {
        return tUAccountLogMapper.deleteTUAccountLogByIds(ids);
    }

    /**
     * 删除账户日志信息
     * 
     * @param id 账户日志主键
     * @return 结果
     */
    @Override
    public int deleteTUAccountLogById(String id)
    {
        return tUAccountLogMapper.deleteTUAccountLogById(id);
    }
}
