package com.ruoyi.system.application.service.impl;

import java.util.List;

import com.ruoyi.common.core.utils.uuid.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUBannerMapper;
import com.ruoyi.system.application.domain.TUBanner;
import com.ruoyi.system.application.service.ITUBannerService;

/**
 * 首页bannerService业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-03
 */
@Service
public class TUBannerServiceImpl implements ITUBannerService 
{
    @Autowired
    private TUBannerMapper tUBannerMapper;

    /**
     * 查询首页banner
     * 
     * @param id 首页banner主键
     * @return 首页banner
     */
    @Override
    public TUBanner selectTUBannerById(String id)
    {
        return tUBannerMapper.selectTUBannerById(id);
    }

    /**
     * 查询首页banner列表
     * 
     * @param tUBanner 首页banner
     * @return 首页banner
     */
    @Override
    public List<TUBanner> selectTUBannerList(TUBanner tUBanner)
    {
        return tUBannerMapper.selectTUBannerList(tUBanner);
    }

    /**
     * 新增首页banner
     * 
     * @param tUBanner 首页banner
     * @return 结果
     */
    @Override
    public int insertTUBanner(TUBanner tUBanner)
    {
        tUBanner.setId(UUID.fastUUID().toString());
        return tUBannerMapper.insertTUBanner(tUBanner);
    }

    /**
     * 修改首页banner
     * 
     * @param tUBanner 首页banner
     * @return 结果
     */
    @Override
    public int updateTUBanner(TUBanner tUBanner)
    {
        return tUBannerMapper.updateTUBanner(tUBanner);
    }

    /**
     * 批量删除首页banner
     * 
     * @param ids 需要删除的首页banner主键
     * @return 结果
     */
    @Override
    public int deleteTUBannerByIds(String[] ids)
    {
        return tUBannerMapper.deleteTUBannerByIds(ids);
    }

    /**
     * 删除首页banner信息
     * 
     * @param id 首页banner主键
     * @return 结果
     */
    @Override
    public int deleteTUBannerById(String id)
    {
        return tUBannerMapper.deleteTUBannerById(id);
    }
}
