package com.ruoyi.system.application.service.impl;

import java.util.List;

import com.ruoyi.common.core.utils.uuid.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUCustomerserMapper;
import com.ruoyi.system.application.domain.TUCustomerser;
import com.ruoyi.system.application.service.ITUCustomerserService;

/**
 * 客服信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-02
 */
@Service
public class TUCustomerserServiceImpl implements ITUCustomerserService 
{
    @Autowired
    private TUCustomerserMapper tUCustomerserMapper;

    /**
     * 查询客服信息
     * 
     * @param id 客服信息主键
     * @return 客服信息
     */
    @Override
    public TUCustomerser selectTUCustomerserById(String id)
    {
        return tUCustomerserMapper.selectTUCustomerserById(id);
    }

    /**
     * 查询客服信息列表
     * 
     * @param tUCustomerser 客服信息
     * @return 客服信息
     */
    @Override
    public List<TUCustomerser> selectTUCustomerserList(TUCustomerser tUCustomerser)
    {
        return tUCustomerserMapper.selectTUCustomerserList(tUCustomerser);
    }

    /**
     * 新增客服信息
     * 
     * @param tUCustomerser 客服信息
     * @return 结果
     */
    @Override
    public int insertTUCustomerser(TUCustomerser tUCustomerser)
    {
        tUCustomerser.setId(UUID.fastUUID().toString());
        return tUCustomerserMapper.insertTUCustomerser(tUCustomerser);
    }

    /**
     * 修改客服信息
     * 
     * @param tUCustomerser 客服信息
     * @return 结果
     */
    @Override
    public int updateTUCustomerser(TUCustomerser tUCustomerser)
    {
        return tUCustomerserMapper.updateTUCustomerser(tUCustomerser);
    }

    /**
     * 批量删除客服信息
     * 
     * @param ids 需要删除的客服信息主键
     * @return 结果
     */
    @Override
    public int deleteTUCustomerserByIds(String[] ids)
    {
        return tUCustomerserMapper.deleteTUCustomerserByIds(ids);
    }

    /**
     * 删除客服信息信息
     * 
     * @param id 客服信息主键
     * @return 结果
     */
    @Override
    public int deleteTUCustomerserById(String id)
    {
        return tUCustomerserMapper.deleteTUCustomerserById(id);
    }
}
