package com.ruoyi.system.application.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUEvaluateMapper;
import com.ruoyi.system.application.domain.TUEvaluate;
import com.ruoyi.system.application.service.ITUEvaluateService;

/**
 * 评价Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-03
 */
@Service
public class TUEvaluateServiceImpl implements ITUEvaluateService 
{
    @Autowired
    private TUEvaluateMapper tUEvaluateMapper;

    /**
     * 查询评价
     * 
     * @param id 评价主键
     * @return 评价
     */
    @Override
    public TUEvaluate selectTUEvaluateById(String id)
    {
        return tUEvaluateMapper.selectTUEvaluateById(id);
    }

    /**
     * 查询评价列表
     * 
     * @param tUEvaluate 评价
     * @return 评价
     */
    @Override
    public List<TUEvaluate> selectTUEvaluateList(TUEvaluate tUEvaluate)
    {
        return tUEvaluateMapper.selectTUEvaluateList(tUEvaluate);
    }

    /**
     * 新增评价
     * 
     * @param tUEvaluate 评价
     * @return 结果
     */
    @Override
    public int insertTUEvaluate(TUEvaluate tUEvaluate)
    {
        tUEvaluate.setCreateTime(DateUtils.getNowDate());
        return tUEvaluateMapper.insertTUEvaluate(tUEvaluate);
    }

    /**
     * 修改评价
     * 
     * @param tUEvaluate 评价
     * @return 结果
     */
    @Override
    public int updateTUEvaluate(TUEvaluate tUEvaluate)
    {
        return tUEvaluateMapper.updateTUEvaluate(tUEvaluate);
    }

    /**
     * 批量删除评价
     * 
     * @param ids 需要删除的评价主键
     * @return 结果
     */
    @Override
    public int deleteTUEvaluateByIds(String[] ids)
    {
        return tUEvaluateMapper.deleteTUEvaluateByIds(ids);
    }

    /**
     * 删除评价信息
     * 
     * @param id 评价主键
     * @return 结果
     */
    @Override
    public int deleteTUEvaluateById(String id)
    {
        return tUEvaluateMapper.deleteTUEvaluateById(id);
    }
}
