package com.ruoyi.system.application.service.impl;

import java.util.List;

import com.ruoyi.common.core.utils.uuid.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUGradesubjectMapper;
import com.ruoyi.system.application.domain.TUGradesubject;
import com.ruoyi.system.application.service.ITUGradesubjectService;

/**
 * 年级学科对应Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TUGradesubjectServiceImpl implements ITUGradesubjectService 
{
    @Autowired
    private TUGradesubjectMapper tUGradesubjectMapper;

    /**
     * 查询年级学科对应
     * 
     * @param id 年级学科对应主键
     * @return 年级学科对应
     */
    @Override
    public TUGradesubject selectTUGradesubjectById(String id)
    {
        return tUGradesubjectMapper.selectTUGradesubjectById(id);
    }

    /**
     * 查询年级学科对应列表
     * 
     * @param tUGradesubject 年级学科对应
     * @return 年级学科对应
     */
    @Override
    public List<TUGradesubject> selectTUGradesubjectList(TUGradesubject tUGradesubject)
    {
        return tUGradesubjectMapper.selectTUGradesubjectList(tUGradesubject);
    }

    /**
     * 新增年级学科对应
     * 
     * @param tUGradesubject 年级学科对应
     * @return 结果
     */
    @Override
    public int insertTUGradesubject(TUGradesubject tUGradesubject)
    {
        tUGradesubject.setId(UUID.fastUUID().toString());
        return tUGradesubjectMapper.insertTUGradesubject(tUGradesubject);
    }

    /**
     * 修改年级学科对应
     * 
     * @param tUGradesubject 年级学科对应
     * @return 结果
     */
    @Override
    public int updateTUGradesubject(TUGradesubject tUGradesubject)
    {
        return tUGradesubjectMapper.updateTUGradesubject(tUGradesubject);
    }

    /**
     * 批量删除年级学科对应
     * 
     * @param ids 需要删除的年级学科对应主键
     * @return 结果
     */
    @Override
    public int deleteTUGradesubjectByIds(String[] ids)
    {
        return tUGradesubjectMapper.deleteTUGradesubjectByIds(ids);
    }

    /**
     * 删除年级学科对应信息
     * 
     * @param id 年级学科对应主键
     * @return 结果
     */
    @Override
    public int deleteTUGradesubjectById(String id)
    {
        return tUGradesubjectMapper.deleteTUGradesubjectById(id);
    }
}
