package com.ruoyi.system.application.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TULookcollectionMapper;
import com.ruoyi.system.application.domain.TULookcollection;
import com.ruoyi.system.application.service.ITULookcollectionService;

/**
 * 看过和收藏Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TULookcollectionServiceImpl implements ITULookcollectionService 
{
    @Autowired
    private TULookcollectionMapper tULookcollectionMapper;

    /**
     * 查询看过和收藏
     * 
     * @param id 看过和收藏主键
     * @return 看过和收藏
     */
    @Override
    public TULookcollection selectTULookcollectionById(String id)
    {
        return tULookcollectionMapper.selectTULookcollectionById(id);
    }

    /**
     * 查询看过和收藏列表
     * 
     * @param tULookcollection 看过和收藏
     * @return 看过和收藏
     */
    @Override
    public List<TULookcollection> selectTULookcollectionList(TULookcollection tULookcollection)
    {
        return tULookcollectionMapper.selectTULookcollectionList(tULookcollection);
    }

    /**
     * 新增看过和收藏
     * 
     * @param tULookcollection 看过和收藏
     * @return 结果
     */
    @Override
    public int insertTULookcollection(TULookcollection tULookcollection)
    {
        return tULookcollectionMapper.insertTULookcollection(tULookcollection);
    }

    /**
     * 修改看过和收藏
     * 
     * @param tULookcollection 看过和收藏
     * @return 结果
     */
    @Override
    public int updateTULookcollection(TULookcollection tULookcollection)
    {
        return tULookcollectionMapper.updateTULookcollection(tULookcollection);
    }

    /**
     * 批量删除看过和收藏
     * 
     * @param ids 需要删除的看过和收藏主键
     * @return 结果
     */
    @Override
    public int deleteTULookcollectionByIds(String[] ids)
    {
        return tULookcollectionMapper.deleteTULookcollectionByIds(ids);
    }

    /**
     * 删除看过和收藏信息
     * 
     * @param id 看过和收藏主键
     * @return 结果
     */
    @Override
    public int deleteTULookcollectionById(String id)
    {
        return tULookcollectionMapper.deleteTULookcollectionById(id);
    }
}
