package com.ruoyi.system.application.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.service.ITUOrderService;

/**
 * 业务订单Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TUOrderServiceImpl implements ITUOrderService 
{
    @Autowired
    private TUOrderMapper tUOrderMapper;

    /**
     * 查询业务订单
     * 
     * @param id 业务订单主键
     * @return 业务订单
     */
    @Override
    public TUOrder selectTUOrderById(String id)
    {
        return tUOrderMapper.selectTUOrderById(id);
    }

    /**
     * 查询业务订单列表
     * 
     * @param tUOrder 业务订单
     * @return 业务订单
     */
    @Override
    public List<TUOrder> selectTUOrderList(TUOrder tUOrder)
    {
        return tUOrderMapper.selectTUOrderList(tUOrder);
    }

    /**
     * 新增业务订单
     * 
     * @param tUOrder 业务订单
     * @return 结果
     */
    @Override
    public int insertTUOrder(TUOrder tUOrder)
    {
        tUOrder.setCreateTime(DateUtils.getNowDate());
        return tUOrderMapper.insertTUOrder(tUOrder);
    }

    /**
     * 修改业务订单
     * 
     * @param tUOrder 业务订单
     * @return 结果
     */
    @Override
    public int updateTUOrder(TUOrder tUOrder)
    {
        return tUOrderMapper.updateTUOrder(tUOrder);
    }

    /**
     * 批量删除业务订单
     * 
     * @param ids 需要删除的业务订单主键
     * @return 结果
     */
    @Override
    public int deleteTUOrderByIds(String[] ids)
    {
        return tUOrderMapper.deleteTUOrderByIds(ids);
    }

    /**
     * 删除业务订单信息
     * 
     * @param id 业务订单主键
     * @return 结果
     */
    @Override
    public int deleteTUOrderById(String id)
    {
        return tUOrderMapper.deleteTUOrderById(id);
    }
}
