package com.ruoyi.system.application.service.impl;

import java.util.List;

import com.ruoyi.common.core.utils.uuid.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUSchoolMapper;
import com.ruoyi.system.application.domain.TUSchool;
import com.ruoyi.system.application.service.ITUSchoolService;

/**
 * 学校信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-27
 */
@Service
public class TUSchoolServiceImpl implements ITUSchoolService 
{
    @Autowired
    private TUSchoolMapper tUSchoolMapper;

    /**
     * 查询学校信息
     * 
     * @param id 学校信息主键
     * @return 学校信息
     */
    @Override
    public TUSchool selectTUSchoolById(String id)
    {
        return tUSchoolMapper.selectTUSchoolById(id);
    }

    /**
     * 查询学校信息列表
     * 
     * @param tUSchool 学校信息
     * @return 学校信息
     */
    @Override
    public List<TUSchool> selectTUSchoolList(TUSchool tUSchool)
    {
        return tUSchoolMapper.selectTUSchoolList(tUSchool);
    }
    @Override
    public List<TUSchool> selectTUSchoolListExact(TUSchool tUSchool)
    {
        return tUSchoolMapper.selectTUSchoolListExact(tUSchool);
    }

    /**
     * 新增学校信息
     * 
     * @param tUSchool 学校信息
     * @return 结果
     */
    @Override
    public int insertTUSchool(TUSchool tUSchool)
    {
        tUSchool.setId(UUID.fastUUID().toString());
        return tUSchoolMapper.insertTUSchool(tUSchool);
    }

    /**
     * 修改学校信息
     * 
     * @param tUSchool 学校信息
     * @return 结果
     */
    @Override
    public int updateTUSchool(TUSchool tUSchool)
    {
        return tUSchoolMapper.updateTUSchool(tUSchool);
    }

    /**
     * 批量删除学校信息
     * 
     * @param ids 需要删除的学校信息主键
     * @return 结果
     */
    @Override
    public int deleteTUSchoolByIds(String[] ids)
    {
        return tUSchoolMapper.deleteTUSchoolByIds(ids);
    }

    /**
     * 删除学校信息信息
     * 
     * @param id 学校信息主键
     * @return 结果
     */
    @Override
    public int deleteTUSchoolById(String id)
    {
        return tUSchoolMapper.deleteTUSchoolById(id);
    }
}
