package com.ruoyi.system.application.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUTeacherAreaMapper;
import com.ruoyi.system.application.domain.TUTeacherArea;
import com.ruoyi.system.application.service.ITUTeacherAreaService;

/**
 * 教师对应区域Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TUTeacherAreaServiceImpl implements ITUTeacherAreaService 
{
    @Autowired
    private TUTeacherAreaMapper tUTeacherAreaMapper;

    /**
     * 查询教师对应区域
     * 
     * @param id 教师对应区域主键
     * @return 教师对应区域
     */
    @Override
    public TUTeacherArea selectTUTeacherAreaById(String id)
    {
        return tUTeacherAreaMapper.selectTUTeacherAreaById(id);
    }

    /**
     * 查询教师对应区域列表
     * 
     * @param tUTeacherArea 教师对应区域
     * @return 教师对应区域
     */
    @Override
    public List<TUTeacherArea> selectTUTeacherAreaList(TUTeacherArea tUTeacherArea)
    {
        return tUTeacherAreaMapper.selectTUTeacherAreaList(tUTeacherArea);
    }

    /**
     * 新增教师对应区域
     * 
     * @param tUTeacherArea 教师对应区域
     * @return 结果
     */
    @Override
    public int insertTUTeacherArea(TUTeacherArea tUTeacherArea)
    {
        return tUTeacherAreaMapper.insertTUTeacherArea(tUTeacherArea);
    }

    /**
     * 修改教师对应区域
     * 
     * @param tUTeacherArea 教师对应区域
     * @return 结果
     */
    @Override
    public int updateTUTeacherArea(TUTeacherArea tUTeacherArea)
    {
        return tUTeacherAreaMapper.updateTUTeacherArea(tUTeacherArea);
    }

    /**
     * 批量删除教师对应区域
     * 
     * @param ids 需要删除的教师对应区域主键
     * @return 结果
     */
    @Override
    public int deleteTUTeacherAreaByIds(String[] ids)
    {
        return tUTeacherAreaMapper.deleteTUTeacherAreaByIds(ids);
    }

    /**
     * 删除教师对应区域信息
     * 
     * @param id 教师对应区域主键
     * @return 结果
     */
    @Override
    public int deleteTUTeacherAreaById(String id)
    {
        return tUTeacherAreaMapper.deleteTUTeacherAreaById(id);
    }
}
