package com.ruoyi.system.application.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUTeacherGradesubjectMapper;
import com.ruoyi.system.application.domain.TUTeacherGradesubject;
import com.ruoyi.system.application.service.ITUTeacherGradesubjectService;

/**
 * 教师对应学科Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TUTeacherGradesubjectServiceImpl implements ITUTeacherGradesubjectService 
{
    @Autowired
    private TUTeacherGradesubjectMapper tUTeacherGradesubjectMapper;

    /**
     * 查询教师对应学科
     * 
     * @param id 教师对应学科主键
     * @return 教师对应学科
     */
    @Override
    public TUTeacherGradesubject selectTUTeacherGradesubjectById(String id)
    {
        return tUTeacherGradesubjectMapper.selectTUTeacherGradesubjectById(id);
    }

    /**
     * 查询教师对应学科列表
     * 
     * @param tUTeacherGradesubject 教师对应学科
     * @return 教师对应学科
     */
    @Override
    public List<TUTeacherGradesubject> selectTUTeacherGradesubjectList(TUTeacherGradesubject tUTeacherGradesubject)
    {
        return tUTeacherGradesubjectMapper.selectTUTeacherGradesubjectList(tUTeacherGradesubject);
    }

    /**
     * 新增教师对应学科
     * 
     * @param tUTeacherGradesubject 教师对应学科
     * @return 结果
     */
    @Override
    public int insertTUTeacherGradesubject(TUTeacherGradesubject tUTeacherGradesubject)
    {
        return tUTeacherGradesubjectMapper.insertTUTeacherGradesubject(tUTeacherGradesubject);
    }

    /**
     * 修改教师对应学科
     * 
     * @param tUTeacherGradesubject 教师对应学科
     * @return 结果
     */
    @Override
    public int updateTUTeacherGradesubject(TUTeacherGradesubject tUTeacherGradesubject)
    {
        return tUTeacherGradesubjectMapper.updateTUTeacherGradesubject(tUTeacherGradesubject);
    }

    /**
     * 批量删除教师对应学科
     * 
     * @param ids 需要删除的教师对应学科主键
     * @return 结果
     */
    @Override
    public int deleteTUTeacherGradesubjectByIds(String[] ids)
    {
        return tUTeacherGradesubjectMapper.deleteTUTeacherGradesubjectByIds(ids);
    }

    /**
     * 删除教师对应学科信息
     * 
     * @param id 教师对应学科主键
     * @return 结果
     */
    @Override
    public int deleteTUTeacherGradesubjectById(String id)
    {
        return tUTeacherGradesubjectMapper.deleteTUTeacherGradesubjectById(id);
    }
}
