package com.ruoyi.system.application.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUTeacherMapper;
import com.ruoyi.system.application.domain.TUTeacher;
import com.ruoyi.system.application.service.ITUTeacherService;

/**
 * 教师基本信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TUTeacherServiceImpl implements ITUTeacherService 
{
    @Autowired
    private TUTeacherMapper tUTeacherMapper;

    /**
     * 查询教师基本信息
     * 
     * @param id 教师基本信息主键
     * @return 教师基本信息
     */
    @Override
    public TUTeacher selectTUTeacherById(String id)
    {
        return tUTeacherMapper.selectTUTeacherById(id);
    }

    /**
     * 查询教师基本信息列表
     * 
     * @param tUTeacher 教师基本信息
     * @return 教师基本信息
     */
    @Override
    public List<TUTeacher> selectTUTeacherList(TUTeacher tUTeacher)
    {
        return tUTeacherMapper.selectTUTeacherList(tUTeacher);
    }

    /**
     * 新增教师基本信息
     * 
     * @param tUTeacher 教师基本信息
     * @return 结果
     */
    @Override
    public int insertTUTeacher(TUTeacher tUTeacher)
    {
        return tUTeacherMapper.insertTUTeacher(tUTeacher);
    }

    /**
     * 修改教师基本信息
     * 
     * @param tUTeacher 教师基本信息
     * @return 结果
     */
    @Override
    public int updateTUTeacher(TUTeacher tUTeacher)
    {
        return tUTeacherMapper.updateTUTeacher(tUTeacher);
    }

    /**
     * 批量删除教师基本信息
     * 
     * @param ids 需要删除的教师基本信息主键
     * @return 结果
     */
    @Override
    public int deleteTUTeacherByIds(String[] ids)
    {
        return tUTeacherMapper.deleteTUTeacherByIds(ids);
    }

    /**
     * 删除教师基本信息信息
     * 
     * @param id 教师基本信息主键
     * @return 结果
     */
    @Override
    public int deleteTUTeacherById(String id)
    {
        return tUTeacherMapper.deleteTUTeacherById(id);
    }
}
