package com.ruoyi.system.application.service.impl;

import java.util.List;

import com.ruoyi.common.core.utils.uuid.UUID;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.application.mapper.TUTeachingareaMapper;
import com.ruoyi.system.application.domain.TUTeachingarea;
import com.ruoyi.system.application.service.ITUTeachingareaService;

/**
 * 教学区域Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-01
 */
@Service
public class TUTeachingareaServiceImpl implements ITUTeachingareaService 
{
    @Autowired
    private TUTeachingareaMapper tUTeachingareaMapper;

    /**
     * 查询教学区域
     * 
     * @param id 教学区域主键
     * @return 教学区域
     */
    @Override
    public TUTeachingarea selectTUTeachingareaById(String id)
    {
        return tUTeachingareaMapper.selectTUTeachingareaById(id);
    }

    /**
     * 查询教学区域列表
     * 
     * @param tUTeachingarea 教学区域
     * @return 教学区域
     */
    @Override
    public List<TUTeachingarea> selectTUTeachingareaList(TUTeachingarea tUTeachingarea)
    {
        return tUTeachingareaMapper.selectTUTeachingareaList(tUTeachingarea);
    }

    /**
     * 新增教学区域
     * 
     * @param tUTeachingarea 教学区域
     * @return 结果
     */
    @Override
    public int insertTUTeachingarea(TUTeachingarea tUTeachingarea)
    {
        tUTeachingarea.setId(UUID.fastUUID().toString());
        return tUTeachingareaMapper.insertTUTeachingarea(tUTeachingarea);
    }

    /**
     * 修改教学区域
     * 
     * @param tUTeachingarea 教学区域
     * @return 结果
     */
    @Override
    public int updateTUTeachingarea(TUTeachingarea tUTeachingarea)
    {
        return tUTeachingareaMapper.updateTUTeachingarea(tUTeachingarea);
    }

    /**
     * 批量删除教学区域
     * 
     * @param ids 需要删除的教学区域主键
     * @return 结果
     */
    @Override
    public int deleteTUTeachingareaByIds(String[] ids)
    {
        return tUTeachingareaMapper.deleteTUTeachingareaByIds(ids);
    }

    /**
     * 删除教学区域信息
     * 
     * @param id 教学区域主键
     * @return 结果
     */
    @Override
    public int deleteTUTeachingareaById(String id)
    {
        return tUTeachingareaMapper.deleteTUTeachingareaById(id);
    }
}
