package com.ruoyi.system.payment.controller;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.ruoyi.system.payment.domain.OrderPayRequest;
import com.ruoyi.system.payment.domain.RefundOrderRequest;
import com.ruoyi.system.payment.service.IPaymentService;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * 支付控制器
 *
 * @author 魏建波
 * Date:  2024/6/1
 * Time:  10:41
 */
@RestController
@RequestMapping("/app/PaymentController")
public class PaymentController {
    @Autowired
    IPaymentService paymentService;

    @ApiOperation("待支付订单中点击支付返回预支付订单参数")
    @PostMapping("/prepayment")
    public AjaxResult prepayment(@ApiParam("订单支付对象") @RequestBody @Validated OrderPayRequest orderPayRequest) throws Exception {
        return paymentService.orderPay(orderPayRequest);
    }

    // 订单支付回调
    @PostMapping("/callback/order")
    public String callbackNotifyOrder(@RequestBody String xmlData) throws Exception {
        System.out.println("%%%%%%%%%%%%%%%%%%%%%%%%%%%微信支付结果回调%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%");
        System.out.println("%%%%%%%%%%%%%" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + "%%%%%%%%%%%%%%%%%%%");
        System.out.println(xmlData);

        String result = paymentService.callbackNotifyOrder(xmlData);
        System.out.println("操作数据库状态结果："+result);
        return result;
    }

    @ApiOperation("订单退款")
    @PostMapping("/refund")
    public String refundOrder(@ApiParam("退货对象") @RequestBody @Validated RefundOrderRequest refundOrderRequest) throws Exception {
        return paymentService.refundOrder(refundOrderRequest);
    }
    // 退款回调
    @PostMapping("/callback/wechatInfo/refund/notify")
    public String callbackRefundNotifyOrder(@RequestBody String xmlData) throws Exception {
        System.out.println("%%%%%%%%%%%%%%%%%%%%%%%%%%%微信退款结果回调%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%");
        System.out.println("%%%%%%%%%%%%%" + new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date()) + "%%%%%%%%%%%%%%%%%%%");
        System.out.println(xmlData);
        String result = paymentService.callbackRefundNotifyOrder(xmlData);
        System.out.println("操作数据库状态结果："+result);
        return result;
    }
}