package com.ruoyi.system.payment.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信退款回调对象 t_u_order_refund_log
 * 
 * @author 魏建波
 * @date 2024-07-03
 */
public class OrderRefundLog
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long refundLogId;

    /** 微信订单号 */
    @Excel(name = "微信订单号")
    private String transactionId;

    /** 商户订单号 */
    @Excel(name = "商户订单号")
    private String outTradeNo;

    /** 商户退款单号 */
    @Excel(name = "商户退款单号")
    private String outRefundNo;

    /** 微信退款单号 */
    @Excel(name = "微信退款单号")
    private String refundId;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private Long refundFee;

    /** 应结退款金额 */
    @Excel(name = "应结退款金额")
    private Long settlementRefundFee;

    /** 标价金额 */
    @Excel(name = "标价金额")
    private Long totalFee;

    /** 应结订单金额 */
    @Excel(name = "应结订单金额")
    private Long settlementTotalFee;

    /** 标价币种 */
    @Excel(name = "标价币种")
    private String feeType;

    /** 现金支付金额 */
    @Excel(name = "现金支付金额")
    private Long cashFee;

    /** 现金支付币种 */
    @Excel(name = "现金支付币种")
    private String cashFeeType;

    /** 现金退款金额，单位为分，只能为整数 */
    @Excel(name = "现金退款金额，单位为分，只能为整数")
    private Long cashRefundFee;

    /** 退款代金券使用数量 */
    @Excel(name = "退款代金券使用数量")
    private Long couponRefundCount;

    /** 代金券退款总金额 */
    @Excel(name = "代金券退款总金额")
    private Long couponRefundFee;

    /** 营销详情 */
    @Excel(name = "营销详情")
    private String promotionDetail;

    /** 返回状态码 */
    @Excel(name = "返回状态码")
    private String returnCode;

    /** 返回信息 */
    @Excel(name = "返回信息")
    private String returnMsg;

    /** 业务结果 */
    @Excel(name = "业务结果")
    private String resultCode;

    /** 错误代码 */
    @Excel(name = "错误代码")
    private String errCode;

    /** 错误代码描述 */
    @Excel(name = "错误代码描述")
    private String errCodeDes;

    /** 错误代码 */
    @Excel(name = "错误代码")
    private String errorCode;

    /** 错误代码描述 */
    @Excel(name = "错误代码描述")
    private String errorMessage;

    /** 公众账号ID */
    @Excel(name = "公众账号ID")
    private String appid;

    /** 商户号 */
    @Excel(name = "商户号")
    private String mchId;

    /** 随机字符串 */
    @Excel(name = "随机字符串")
    private String nonceStr;

    /** 签名 */
    @Excel(name = "签名")
    private String sign;

    /** 0：未回调 1：已回调 */
    @Excel(name = "0：未回调 1：已回调")
    private Integer isNotify;

    /** 回调时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "回调时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date notifyTime;

    /** 回调备注 */
    @Excel(name = "回调备注")
    private String notifyRemark;

    /** 存储订单id */
    @Excel(name = "存储订单id")
    private String orderId;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setRefundLogId(Long refundLogId)
    {
        this.refundLogId = refundLogId;
    }

    public Long getRefundLogId() 
    {
        return refundLogId;
    }
    public void setTransactionId(String transactionId) 
    {
        this.transactionId = transactionId;
    }

    public String getTransactionId() 
    {
        return transactionId;
    }
    public void setOutTradeNo(String outTradeNo) 
    {
        this.outTradeNo = outTradeNo;
    }

    public String getOutTradeNo() 
    {
        return outTradeNo;
    }
    public void setOutRefundNo(String outRefundNo) 
    {
        this.outRefundNo = outRefundNo;
    }

    public String getOutRefundNo() 
    {
        return outRefundNo;
    }
    public void setRefundId(String refundId) 
    {
        this.refundId = refundId;
    }

    public String getRefundId() 
    {
        return refundId;
    }
    public void setRefundFee(Long refundFee) 
    {
        this.refundFee = refundFee;
    }

    public Long getRefundFee() 
    {
        return refundFee;
    }
    public void setSettlementRefundFee(Long settlementRefundFee) 
    {
        this.settlementRefundFee = settlementRefundFee;
    }

    public Long getSettlementRefundFee() 
    {
        return settlementRefundFee;
    }
    public void setTotalFee(Long totalFee) 
    {
        this.totalFee = totalFee;
    }

    public Long getTotalFee() 
    {
        return totalFee;
    }
    public void setSettlementTotalFee(Long settlementTotalFee) 
    {
        this.settlementTotalFee = settlementTotalFee;
    }

    public Long getSettlementTotalFee() 
    {
        return settlementTotalFee;
    }
    public void setFeeType(String feeType) 
    {
        this.feeType = feeType;
    }

    public String getFeeType() 
    {
        return feeType;
    }
    public void setCashFee(Long cashFee) 
    {
        this.cashFee = cashFee;
    }

    public Long getCashFee() 
    {
        return cashFee;
    }
    public void setCashFeeType(String cashFeeType) 
    {
        this.cashFeeType = cashFeeType;
    }

    public String getCashFeeType() 
    {
        return cashFeeType;
    }
    public void setCashRefundFee(Long cashRefundFee) 
    {
        this.cashRefundFee = cashRefundFee;
    }

    public Long getCashRefundFee() 
    {
        return cashRefundFee;
    }
    public void setCouponRefundCount(Long couponRefundCount) 
    {
        this.couponRefundCount = couponRefundCount;
    }

    public Long getCouponRefundCount() 
    {
        return couponRefundCount;
    }
    public void setCouponRefundFee(Long couponRefundFee) 
    {
        this.couponRefundFee = couponRefundFee;
    }

    public Long getCouponRefundFee() 
    {
        return couponRefundFee;
    }
    public void setPromotionDetail(String promotionDetail) 
    {
        this.promotionDetail = promotionDetail;
    }

    public String getPromotionDetail() 
    {
        return promotionDetail;
    }
    public void setReturnCode(String returnCode) 
    {
        this.returnCode = returnCode;
    }

    public String getReturnCode() 
    {
        return returnCode;
    }
    public void setReturnMsg(String returnMsg) 
    {
        this.returnMsg = returnMsg;
    }

    public String getReturnMsg() 
    {
        return returnMsg;
    }
    public void setResultCode(String resultCode) 
    {
        this.resultCode = resultCode;
    }

    public String getResultCode() 
    {
        return resultCode;
    }
    public void setErrCode(String errCode) 
    {
        this.errCode = errCode;
    }

    public String getErrCode() 
    {
        return errCode;
    }
    public void setErrCodeDes(String errCodeDes) 
    {
        this.errCodeDes = errCodeDes;
    }

    public String getErrCodeDes() 
    {
        return errCodeDes;
    }
    public void setErrorCode(String errorCode) 
    {
        this.errorCode = errorCode;
    }

    public String getErrorCode() 
    {
        return errorCode;
    }
    public void setErrorMessage(String errorMessage) 
    {
        this.errorMessage = errorMessage;
    }

    public String getErrorMessage() 
    {
        return errorMessage;
    }
    public void setAppid(String appid) 
    {
        this.appid = appid;
    }

    public String getAppid() 
    {
        return appid;
    }
    public void setMchId(String mchId) 
    {
        this.mchId = mchId;
    }

    public String getMchId() 
    {
        return mchId;
    }
    public void setNonceStr(String nonceStr) 
    {
        this.nonceStr = nonceStr;
    }

    public String getNonceStr() 
    {
        return nonceStr;
    }
    public void setSign(String sign) 
    {
        this.sign = sign;
    }

    public String getSign() 
    {
        return sign;
    }
    public void setIsNotify(Integer isNotify) 
    {
        this.isNotify = isNotify;
    }

    public Integer getIsNotify() 
    {
        return isNotify;
    }
    public void setNotifyTime(Date notifyTime) 
    {
        this.notifyTime = notifyTime;
    }

    public Date getNotifyTime() 
    {
        return notifyTime;
    }
    public void setNotifyRemark(String notifyRemark) 
    {
        this.notifyRemark = notifyRemark;
    }

    public String getNotifyRemark() 
    {
        return notifyRemark;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("refundLogId", getRefundLogId())
            .append("transactionId", getTransactionId())
            .append("outTradeNo", getOutTradeNo())
            .append("outRefundNo", getOutRefundNo())
            .append("refundId", getRefundId())
            .append("refundFee", getRefundFee())
            .append("settlementRefundFee", getSettlementRefundFee())
            .append("totalFee", getTotalFee())
            .append("settlementTotalFee", getSettlementTotalFee())
            .append("feeType", getFeeType())
            .append("cashFee", getCashFee())
            .append("cashFeeType", getCashFeeType())
            .append("cashRefundFee", getCashRefundFee())
            .append("couponRefundCount", getCouponRefundCount())
            .append("couponRefundFee", getCouponRefundFee())
            .append("promotionDetail", getPromotionDetail())
            .append("returnCode", getReturnCode())
            .append("returnMsg", getReturnMsg())
            .append("resultCode", getResultCode())
            .append("errCode", getErrCode())
            .append("errCodeDes", getErrCodeDes())
            .append("errorCode", getErrorCode())
            .append("errorMessage", getErrorMessage())
            .append("appid", getAppid())
            .append("mchId", getMchId())
            .append("nonceStr", getNonceStr())
            .append("sign", getSign())
            .append("isNotify", getIsNotify())
            .append("notifyTime", getNotifyTime())
            .append("notifyRemark", getNotifyRemark())
            .append("orderId", getOrderId())
            .toString();
    }
}
