package com.ruoyi.system.payment.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 支付配置对象 accompany_pay_config
 * 
 * @author ruoyi
 * @date 2024-06-04
 */
public class PayConfig
{
    private static final long serialVersionUID = 1L;

    /** 支付配置ID */
    private Long payConfigId;

    /** app_id */
    private String appId;

    /** 商户号 */
    private String mchId;

    /** 商户APIv2密钥 */
    private String mchKey;

    /** 服务商模式下的子商户公众账号ID */
    private String subAppId;

    /** 服务商模式下的子商户号 */
    private String subMchId;

    /** p12证书的位置，可以指定绝对路径，也可以指定类路径（以classpath:开头） */
    private String keyPath;

    /** 支付回调地址 */
    private String notifyUrl;

    /** 退款回调地址 */
    private String refundNotifyUrl;

    /** 支付类型 */
    private String tradeType;

    /** 公司名称 */
    private String companyName;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    public void setPayConfigId(Long payConfigId)
    {
        this.payConfigId = payConfigId;
    }

    public Long getPayConfigId()
    {
        return payConfigId;
    }
    public void setAppId(String appId)
    {
        this.appId = appId;
    }

    public String getAppId()
    {
        return appId;
    }
    public void setMchId(String mchId)
    {
        this.mchId = mchId;
    }

    public String getMchId()
    {
        return mchId;
    }
    public void setMchKey(String mchKey)
    {
        this.mchKey = mchKey;
    }

    public String getMchKey()
    {
        return mchKey;
    }
    public void setSubAppId(String subAppId)
    {
        this.subAppId = subAppId;
    }

    public String getSubAppId()
    {
        return subAppId;
    }
    public void setSubMchId(String subMchId)
    {
        this.subMchId = subMchId;
    }

    public String getSubMchId()
    {
        return subMchId;
    }
    public void setKeyPath(String keyPath)
    {
        this.keyPath = keyPath;
    }

    public String getKeyPath()
    {
        return keyPath;
    }
    public void setNotifyUrl(String notifyUrl)
    {
        this.notifyUrl = notifyUrl;
    }

    public String getNotifyUrl()
    {
        return notifyUrl;
    }
    public void setTradeType(String tradeType)
    {
        this.tradeType = tradeType;
    }

    public String getTradeType()
    {
        return tradeType;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRefundNotifyUrl() {
        return refundNotifyUrl;
    }

    public void setRefundNotifyUrl(String refundNotifyUrl) {
        this.refundNotifyUrl = refundNotifyUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("payConfigId", getPayConfigId())
                .append("appId", getAppId())
                .append("mchId", getMchId())
                .append("mchKey", getMchKey())
                .append("subAppId", getSubAppId())
                .append("subMchId", getSubMchId())
                .append("keyPath", getKeyPath())
                .append("notifyUrl", getNotifyUrl())
                .append("refundNotifyUrl", getRefundNotifyUrl())
                .append("tradeType", getTradeType())
                .append("companyName", getCompanyName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
