package com.ruoyi.system.payment.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 支付日志管理对象 accompany_pay_log
 * 
 * @author ruoyi
 * @date 2024-06-06
 */
public class PayLog
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String payLogId;

    /** 订单id */
    private String orderId;

    /** 用户id */
    private Long userId;

    /** 用户类型 */
    private String userType;

    /** 微信小程序id */
    private String appId;

    /** 时间戳 */
    private Long timeStamp;

    /** package_value */
    private String packageValue;

    /** 签名类型 */
    private String signType;

    /** 支付签名 */
    private String paySign;

    /** 支付时使用的小程序唯一标识 */
    private String openid;

    /** 返回状态码 0 表示成功，非 0 表示失败，此字段为通信标识，非交易标识 */
    private String status;

    /** 商户订单号orderNo */
    private String outTradeNo;

    /** 支付交易ID-平台订单号 */
    private String transactionId;

    /** 错误代码 10008 商户订单号已存在 */
    private String errCode;

    /** 错误代码描述 */
    private String errMsg;

    /** 回调结果 */
    private String callResultCode;

    /** 支付结果 */
    private String payResult;

    /** 货币类型 */
    private String feeType;

    /** 回调时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date notifyTime;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date timeEnd;

    /** 总金额（分） */
    private BigDecimal totalFee;

    /** 支付类型 */
    private String tradeType;

    /** nonce_str */
    private String nonceStr;

    /** 购买主题 */
    private String body;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public void setPayLogId(String payLogId)
    {
        this.payLogId = payLogId;
    }

    public String getPayLogId()
    {
        return payLogId;
    }
    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId()
    {
        return orderId;
    }
    public void setAppId(String appId)
    {
        this.appId = appId;
    }

    public String getAppId()
    {
        return appId;
    }
    public void setTimeStamp(Long timeStamp)
    {
        this.timeStamp = timeStamp;
    }

    public Long getTimeStamp()
    {
        return timeStamp;
    }
    public void setPackageValue(String packageValue)
    {
        this.packageValue = packageValue;
    }

    public String getPackageValue()
    {
        return packageValue;
    }
    public void setSignType(String signType)
    {
        this.signType = signType;
    }

    public String getSignType()
    {
        return signType;
    }
    public void setPaySign(String paySign)
    {
        this.paySign = paySign;
    }

    public String getPaySign()
    {
        return paySign;
    }
    public void setOpenid(String openid)
    {
        this.openid = openid;
    }

    public String getOpenid()
    {
        return openid;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setOutTradeNo(String outTradeNo)
    {
        this.outTradeNo = outTradeNo;
    }

    public String getOutTradeNo()
    {
        return outTradeNo;
    }
    public void setTransactionId(String transactionId)
    {
        this.transactionId = transactionId;
    }

    public String getTransactionId()
    {
        return transactionId;
    }
    public void setErrCode(String errCode)
    {
        this.errCode = errCode;
    }

    public String getErrCode()
    {
        return errCode;
    }
    public void setErrMsg(String errMsg)
    {
        this.errMsg = errMsg;
    }

    public String getErrMsg()
    {
        return errMsg;
    }
    public void setCallResultCode(String callResultCode)
    {
        this.callResultCode = callResultCode;
    }

    public String getCallResultCode()
    {
        return callResultCode;
    }
    public void setPayResult(String payResult)
    {
        this.payResult = payResult;
    }

    public String getPayResult()
    {
        return payResult;
    }
    public void setFeeType(String feeType)
    {
        this.feeType = feeType;
    }

    public String getFeeType()
    {
        return feeType;
    }
    public void setNotifyTime(Date notifyTime)
    {
        this.notifyTime = notifyTime;
    }

    public Date getNotifyTime()
    {
        return notifyTime;
    }
    public void setTimeEnd(Date timeEnd)
    {
        this.timeEnd = timeEnd;
    }

    public Date getTimeEnd()
    {
        return timeEnd;
    }
    public void setTotalFee(BigDecimal totalFee)
    {
        this.totalFee = totalFee;
    }

    public BigDecimal getTotalFee()
    {
        return totalFee;
    }
    public void setTradeType(String tradeType)
    {
        this.tradeType = tradeType;
    }

    public String getTradeType()
    {
        return tradeType;
    }
    public void setNonceStr(String nonceStr)
    {
        this.nonceStr = nonceStr;
    }

    public String getNonceStr()
    {
        return nonceStr;
    }
    public void setBody(String body)
    {
        this.body = body;
    }

    public String getBody()
    {
        return body;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("payLogId", getPayLogId())
            .append("orderId", getOrderId())
            .append("appId", getAppId())
            .append("timeStamp", getTimeStamp())
            .append("packageValue", getPackageValue())
            .append("signType", getSignType())
            .append("paySign", getPaySign())
            .append("openid", getOpenid())
            .append("status", getStatus())
            .append("outTradeNo", getOutTradeNo())
            .append("transactionId", getTransactionId())
            .append("errCode", getErrCode())
            .append("errMsg", getErrMsg())
            .append("callResultCode", getCallResultCode())
            .append("payResult", getPayResult())
            .append("feeType", getFeeType())
            .append("notifyTime", getNotifyTime())
            .append("timeEnd", getTimeEnd())
            .append("totalFee", getTotalFee())
            .append("tradeType", getTradeType())
            .append("nonceStr", getNonceStr())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("body", getBody())
            .toString();
    }
}
