package com.ruoyi.system.payment.mapper;

import com.ruoyi.system.payment.domain.PayConfig;
import java.util.List;

/**
 * 支付配置Mapper接口
 * 
 * @author ruoyi
 * @date 2024-06-04
 */
public interface PayConfigMapper 
{
    /**
     * 查询支付配置
     * 
     * @param payConfigId 支付配置主键
     * @return 支付配置
     */
    public PayConfig selectPayConfigByPayConfigId(Long payConfigId);

    /**
     * 查询支付配置列表
     * 
     * @param PayConfig 支付配置
     * @return 支付配置集合
     */
    public List<PayConfig> selectPayConfigList(PayConfig PayConfig);

    /**
     * 新增支付配置
     * 
     * @param PayConfig 支付配置
     * @return 结果
     */
    public int insertPayConfig(PayConfig PayConfig);

    /**
     * 修改支付配置
     * 
     * @param PayConfig 支付配置
     * @return 结果
     */
    public int updatePayConfig(PayConfig PayConfig);

    /**
     * 删除支付配置
     * 
     * @param payConfigId 支付配置主键
     * @return 结果
     */
    public int deletePayConfigByPayConfigId(Long payConfigId);

    /**
     * 批量删除支付配置
     * 
     * @param payConfigIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePayConfigByPayConfigIds(Long[] payConfigIds);
}
