package com.ruoyi.system.payment.service;
import com.ruoyi.system.payment.domain.PayLog;

import java.util.List;

/**
 * 支付日志管理Service接口
 * 
 * @author ruoyi
 * @date 2024-06-06
 */
public interface IAccompanyPayLogService 
{
    /**
     * 查询支付日志管理
     * 
     * @param payLogId 支付日志管理主键
     * @return 支付日志管理
     */
    public PayLog selectAccompanyPayLogByPayLogId(String payLogId);

    /**
     * 查询支付日志管理列表
     * 
     * @param accompanyPayLog 支付日志管理
     * @return 支付日志管理集合
     */
    public List<PayLog> selectAccompanyPayLogList(PayLog accompanyPayLog);

    /**
     * 新增支付日志管理
     * 
     * @param accompanyPayLog 支付日志管理
     * @return 结果
     */
    public int insertAccompanyPayLog(PayLog accompanyPayLog);

    /**
     * 修改支付日志管理
     * 
     * @param accompanyPayLog 支付日志管理
     * @return 结果
     */
    public int updateAccompanyPayLog(PayLog accompanyPayLog);

    /**
     * 批量删除支付日志管理
     * 
     * @param payLogIds 需要删除的支付日志管理主键集合
     * @return 结果
     */
    public int deleteAccompanyPayLogByPayLogIds(String[] payLogIds);

    /**
     * 删除支付日志管理信息
     * 
     * @param payLogId 支付日志管理主键
     * @return 结果
     */
    public int deleteAccompanyPayLogByPayLogId(String payLogId);
}
