package com.ruoyi.system.payment.service;

import java.util.List;
import com.ruoyi.system.payment.domain.OrderRefundLog;

/**
 * 微信退款回调Service接口
 * 
 * @author 魏建波
 * @date 2024-07-03
 */
public interface IOrderRefundLogService 
{
    /**
     * 查询微信退款回调
     * 
     * @param refundLogId 微信退款回调主键
     * @return 微信退款回调
     */
    public OrderRefundLog selectOrderRefundLogByRefundLogId(Long refundLogId);

    /**
     * 查询微信退款回调列表
     * 
     * @param orderRefundLog 微信退款回调
     * @return 微信退款回调集合
     */
    public List<OrderRefundLog> selectOrderRefundLogList(OrderRefundLog orderRefundLog);

    /**
     * 新增微信退款回调
     * 
     * @param orderRefundLog 微信退款回调
     * @return 结果
     */
    public int insertOrderRefundLog(OrderRefundLog orderRefundLog);

    /**
     * 修改微信退款回调
     * 
     * @param orderRefundLog 微信退款回调
     * @return 结果
     */
    public int updateOrderRefundLog(OrderRefundLog orderRefundLog);

    /**
     * 批量删除微信退款回调
     * 
     * @param refundLogIds 需要删除的微信退款回调主键集合
     * @return 结果
     */
    public int deleteOrderRefundLogByRefundLogIds(Long[] refundLogIds);

    /**
     * 删除微信退款回调信息
     * 
     * @param refundLogId 微信退款回调主键
     * @return 结果
     */
    public int deleteOrderRefundLogByRefundLogId(Long refundLogId);
}
