package com.ruoyi.system.payment.service;

import com.ruoyi.system.payment.domain.PayConfig;

import java.util.List;

/**
 * 支付配置Service接口
 * 
 * @author ruoyi
 * @date 2024-06-04
 */
public interface IPayConfigService
{
    /**
     * 查询支付配置
     * 
     * @param payConfigId 支付配置主键
     * @return 支付配置
     */
    public PayConfig selectPayConfigByPayConfigId(Long payConfigId);

    /**
     * 查询支付配置列表
     * 
     * @param payConfig 支付配置
     * @return 支付配置集合
     */
    public List<PayConfig> selectPayConfigList(PayConfig payConfig);

    /**
     * 新增支付配置
     * 
     * @param payConfig 支付配置
     * @return 结果
     */
    public int insertPayConfig(PayConfig payConfig);

    /**
     * 修改支付配置
     * 
     * @param payConfig 支付配置
     * @return 结果
     */
    public int updatePayConfig(PayConfig payConfig);

    /**
     * 批量删除支付配置
     * 
     * @param payConfigIds 需要删除的支付配置主键集合
     * @return 结果
     */
    public int deletePayConfigByPayConfigIds(Long[] payConfigIds);

    /**
     * 删除支付配置信息
     * 
     * @param payConfigId 支付配置主键
     * @return 结果
     */
    public int deletePayConfigByPayConfigId(Long payConfigId);
}
