package com.ruoyi.system.payment.service.impl;
import com.ruoyi.common.core.utils.DateUtils;
import com.ruoyi.system.payment.domain.PayLog;
import com.ruoyi.system.payment.mapper.AccompanyPayLogMapper;
import com.ruoyi.system.payment.service.IAccompanyPayLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 支付日志管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-06-06
 */
@Service
public class AccompanyPayLogServiceImpl implements IAccompanyPayLogService
{
    @Autowired
    private AccompanyPayLogMapper accompanyPayLogMapper;

    /**
     * 查询支付日志管理
     * 
     * @param payLogId 支付日志管理主键
     * @return 支付日志管理
     */
    @Override
    public PayLog selectAccompanyPayLogByPayLogId(String payLogId)
    {
        return accompanyPayLogMapper.selectAccompanyPayLogByPayLogId(payLogId);
    }

    /**
     * 查询支付日志管理列表
     * 
     * @param accompanyPayLog 支付日志管理
     * @return 支付日志管理
     */
    @Override
    public List<PayLog> selectAccompanyPayLogList(PayLog accompanyPayLog)
    {
        return accompanyPayLogMapper.selectAccompanyPayLogList(accompanyPayLog);
    }

    /**
     * 新增支付日志管理
     * 
     * @param accompanyPayLog 支付日志管理
     * @return 结果
     */
    @Override
    public int insertAccompanyPayLog(PayLog accompanyPayLog)
    {
        accompanyPayLog.setCreateTime(DateUtils.getNowDate());
        return accompanyPayLogMapper.insertAccompanyPayLog(accompanyPayLog);
    }

    /**
     * 修改支付日志管理
     * 
     * @param accompanyPayLog 支付日志管理
     * @return 结果
     */
    @Override
    public int updateAccompanyPayLog(PayLog accompanyPayLog)
    {
        accompanyPayLog.setUpdateTime(DateUtils.getNowDate());
        return accompanyPayLogMapper.updateAccompanyPayLog(accompanyPayLog);
    }

    /**
     * 批量删除支付日志管理
     * 
     * @param payLogIds 需要删除的支付日志管理主键
     * @return 结果
     */
    @Override
    public int deleteAccompanyPayLogByPayLogIds(String[] payLogIds)
    {
        return accompanyPayLogMapper.deleteAccompanyPayLogByPayLogIds(payLogIds);
    }

    /**
     * 删除支付日志管理信息
     * 
     * @param payLogId 支付日志管理主键
     * @return 结果
     */
    @Override
    public int deleteAccompanyPayLogByPayLogId(String payLogId)
    {
        return accompanyPayLogMapper.deleteAccompanyPayLogByPayLogId(payLogId);
    }
}
