package com.ruoyi.system.payment.utils;

import org.springframework.stereotype.Component;

import java.lang.reflect.Field;

@Component
//(Class Casting 类型转换器
public class ConverterUtil {

//  public static <T, U> U convertToClass(T source, Class<U> targetClass) throws Exception {
//    U target = targetClass.newInstance();
//    for (Field field : source.getClass().getDeclaredFields()) {
//      field.setAccessible(true);
//      String fieldName = field.getName();
//      Object value = field.get(source);
//      try {
//        if (!fieldName.equals("serialVersionUID")) {
//          Field targetField = targetClass.getDeclaredField(fieldName);
//          targetField.setAccessible(true);
//          targetField.set(target, value);
//        }
//      } catch (NoSuchFieldException e) {
//        // 如果目标类中没有对应的字段，则忽略该字段
//      }
//    }
//    return target;
//  }


  /**
   * 类转换器
   * @param source
   * @param targetClass
   * @param <T>
   * @param <U>
   * @return
   * @throws Exception
   */
  public static <T, U> U convertToClass(T source, Class<U> targetClass) throws Exception {
    U target = targetClass.newInstance();
    convertFields(source, target);
    return target;
  }

  /**
   * 获取字段
   * @param source 源数据
   * @param target 目标数据
   * @param <T>
   * @param <U>
   * @throws IllegalAccessException
   */
  private static <T, U> void convertFields(T source, U target) throws IllegalAccessException {
    Class<?> currentClass = source.getClass();
    while (currentClass != null) {
      for (Field field : currentClass.getDeclaredFields()) {
        field.setAccessible(true);
        String fieldName = field.getName();
        Object value = field.get(source);
        try {
          if (!fieldName.equals("serialVersionUID")) {
            Field targetField = target.getClass().getDeclaredField(fieldName);
            targetField.setAccessible(true);
            targetField.set(target, value);
          }
        } catch (NoSuchFieldException e) {
          // 如果目标类中没有对应的字段，则忽略该字段
        }
      }
      // 获取当前类的父类
      currentClass = currentClass.getSuperclass();
    }
  }

}
