package com.ruoyi.system.tools;

public class GeoDistance {

    private static final double EARTH_RADIUS = 6371000; // 地球半径，单位米

    public static double calculateDistance(double lat1, double lon1, double lat2, double lon2) {
        double latDistance = Math.toRadians(lat2 - lat1);
        double lonDistance = Math.toRadians(lon2 - lon1);
        double a = Math.sin(latDistance / 2) * Math.sin(latDistance / 2) +
                Math.cos(Math.toRadians(lat1)) * Math.cos(Math.toRadians(lat2)) *
                        Math.sin(lonDistance / 2) * Math.sin(lonDistance / 2);
        double c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1 - a));
        return EARTH_RADIUS * c;
    }

    public static void main(String[] args) {
        // 北京天安门的经纬度
        double lat1 = 39.91667;
        double lon1 = 116.41667;
        // 上海市的经纬度
        double lat2 = 31.23333;
        double lon2 = 121.48333;

        double distance = calculateDistance(lat1, lon1, lat2, lon2);
        System.out.println("The distance between Beijing and Shanghai is: " + distance + " meters.");
    }
}