package com.ruoyi.system.wxpay.controller;


import com.ruoyi.common.core.utils.StringUtils;
import com.ruoyi.system.application.domain.TUOrder;
import com.ruoyi.system.application.mapper.TUOrderMapper;
import com.ruoyi.system.application.service.ITUOrderService;
import com.ruoyi.system.wxpay.domain.ScanCodePayBean;
import com.ruoyi.system.wxpay.domain.ScanCodePayVO;
import com.ruoyi.system.wxpay.domain.WXOrder;
import com.ruoyi.system.wxpay.service.OrderServiceIface;
import com.ruoyi.system.wxpay.service.PayUtil;
import com.ruoyi.system.wxpay.tools.WXPayUtil;

import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.math.BigDecimal;
import java.util.Map;

@RequestMapping("/business/app/wxpay")
@RestController
public class PayController {

    @Resource
    OrderServiceIface orderServiceIface;


    //微信支付成功后触发回调地址
   //原本是返回一个组装好的字符串  发现没用  现在return一个字符串  简单粗暴
    @RequestMapping(value = "/wxNotify.action")
    @ResponseBody
    public String success(HttpServletRequest request, HttpServletResponse response) {
        System.out.println("触发支付回调------------------");
        System.out.println("触发支付回调------------------");
        System.out.println("触发支付回调------------------Mr.Wang");
        System.out.println("触发支付回调------------------Mr.Peng");//汉字在服务器上看老乱码 所以打印点高大上的英文
        try {
            StringBuffer sb = new StringBuffer();
            InputStream inputStream = request.getInputStream();
            String s;
            BufferedReader in = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"));
            while ((s = in.readLine()) != null) {
                sb.append(s);
            }
            in.close();
            inputStream.close();
            Map<String, String> map = WXPayUtil.xmlToMap(sb.toString());
            if(map.get("result_code").equals("SUCCESS")) {
                String orderNum = map.get("out_trade_no");
                String openid = map.get("openid");
                String transaction_id = map.get("transaction_id");
                String total_fee = map.get("total_fee");
                BigDecimal total_fee_bd = new BigDecimal(total_fee);
                for (Object key : map.keySet()) {
                    String value = (String)map.get(key);
                    System.out.println(key + " : " + value);
                }
                int res =0;
                WXOrder wxOrder = new WXOrder();
                wxOrder.setOrderId(orderNum);
                wxOrder.setOpenId(openid);
                wxOrder.setMoney(total_fee_bd.divide(BigDecimal.valueOf(100)));
                //在这里，给充值表或订单表加数据，状态为已付款，
                 //orderServiceIface.wxcallBack(wxOrder);
                if(res > 0) {
                    System.out.println("订单从缓存添加到数据库成功。。。。。。");
                    return  "<xml>" +
                            "<return_code><![CDATA[SUCCESS]]></return_code>" +
                            "<return_msg><![CDATA[OK]]></return_msg>" +
                            "</xml>";
                }else {
                    return  "<xml>" +
                            "<return_code><![CDATA[FAIL]]></return_code>" +
                            "<return_msg><![CDATA[添加订单失败]]></return_msg>" +
                            "</xml>";
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return  "<xml>" +
                "<return_code><![CDATA[FAIL]]></return_code>" +
                "<return_msg><![CDATA[添加订单失败]]></return_msg>" +
                "</xml>";
    }




    @RequestMapping(value = "/doUnifiedOrder")
    @ResponseBody
    public String wxPay(@RequestBody WXOrder bean, HttpServletRequest request) {
        Object result = new Object();
        try {
            //获取自己的openId，可以找前端要
            // 	 String openId = "xxx";
            //订单号，自己的订单设计，最好用固定长度 20位等等。
            //  	 String orderNumber = "xxxx";
            //获取客户端的ip地址
//            String spbill_create_ip = getIpAddr(request);
            String spbill_create_ip = "127.0.0.1";
            //将支付业务下沉到service层
            bean.setSpbill_create_ip(spbill_create_ip);

            //
            bean.setNotifyURL("http://www.hmzzxc.com:9090/etcc/business/app/wxpay/wxNotify.action");
            result = orderServiceIface.wxPay(bean);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return PayUtil.toJson(result);
    }


    private String getIpAddr(HttpServletRequest request) {
        String ip = request.getHeader("X-Forwarded-For");
        if (!StringUtils.isEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)) {
            //多次反向代理后会有多个ip值，第一个ip才是真实ip
            int index = ip.indexOf(",");
            if (index != -1) {
                return ip.substring(0, index);
            } else {
                return ip;
            }
        }
        ip = request.getHeader("X-Real-IP");
        if (!StringUtils.isEmpty(ip) && !"unKnown".equalsIgnoreCase(ip)) {
            return ip;
        }

        return request.getRemoteAddr();
    }

    @RequestMapping("scanCodePay")
    @ResponseBody
    public ScanCodePayBean scanCodePay(ScanCodePayVO scanCodePayVO){
        //计算费用 carNumber和一下参数返回给小程序
//        money
//        carNumber

        ScanCodePayBean scanCodePayBean = new ScanCodePayBean();
        scanCodePayBean.setCarNumber(scanCodePayVO.getCarNumber());
        scanCodePayBean.setMoney(scanCodePayVO.getMoney());
        scanCodePayBean.setUserId(scanCodePayVO.getUserId());
        scanCodePayBean.setStation_id(scanCodePayVO.getStation_id());
        return scanCodePayBean;
    }

    @RequestMapping(value = "/scan_wxPay_doUnifiedOrder")
    @ResponseBody
    public String scan_wxPay(@RequestBody WXOrder bean, HttpServletRequest request) {
        Object result = new Object();
        try {
            //获取自己的openId，可以找前端要
            // 	 String openId = "xxx";
            //订单号，自己的订单设计，最好用固定长度 20位等等。
            //  	 String orderNumber = "xxxx";
            //获取客户端的ip地址
//            String spbill_create_ip = getIpAddr(request);
            String spbill_create_ip = "127.0.0.1";
            //将支付业务下沉到service层
            bean.setSpbill_create_ip(spbill_create_ip);

            //
            bean.setNotifyURL("http://www.hmzzxc.com:9090/etcc/business/app/wxpay/scan_success_wxNotify.action");
            result = orderServiceIface.scan_wxPay(bean);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return PayUtil.toJson(result);
    }

    @Resource
    ITUOrderService ituOrderService;
//    @Resource
//    ITUStationService ituStationService;
//    @Resource
//    TUStationMapper tUStationMapper;
//    @Resource
//    ITUHeartbeatTaskService iTUHeartbeatTaskService;
//    @Resource
//    private TUOrderMapper tuOrderMapper;
//
//    @RequestMapping(value = "/scan_success_wxNotify.action")
//    @ResponseBody
//    public String scan_success(HttpServletRequest request, HttpServletResponse response) {
//        System.out.println("scan_success_wxNotify.action------------------");
//        System.out.println("触发支付回调------------------");
//        System.out.println("scan_success_wxNotify.action------------------");
//        System.out.println("触发支付回调------------------");
//        try {
//            StringBuffer sb = new StringBuffer();
//            InputStream inputStream = request.getInputStream();
//            String s;
//            BufferedReader in = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"));
//            while ((s = in.readLine()) != null) {
//                sb.append(s);
//            }
//            in.close();
//            inputStream.close();
//            Map<String, String> map = WXPayUtil.xmlToMap(sb.toString());
//            if(map.get("result_code").equals("SUCCESS")) {
//                String orderNum = map.get("out_trade_no");
//                TUOrder tuOrder = ituOrderService.selectTUOrderById(orderNum);
//                if (tuOrder.getStatus().equals("0") ){
//                    //修改订单状态状态
//                    TUOrder order = new TUOrder();
//                    order.setId(orderNum);
//                    order.setStatus("1");
//                    tuOrderMapper.updateTUOrder(order);
//
//                    String stationId = tuOrder.getCarNumber().split("#")[1];
//                    TUStation tUStation = ituStationService.selectTUStationById(stationId);
//                    String cameraId = tUStation.getCameraId();
//                    String cameraMessage = "是否开门=开门&上行文字=空闲中&下行文字=空闲中&语音内容=null";
//                    System.out.println("/CameraController/testOpenDoor");
//                    System.out.println(cameraId);
//                    System.out.println(cameraMessage);
////重置工位状态
//                    TUStation tUStationUpdate = new TUStation();
//                    tUStationUpdate.setId(stationId);
//                    tUStationUpdate.setStatus("0");
//                    tUStationMapper.updateTUStationCarOut(tUStationUpdate);
////创建心跳任务
//                    TUHeartbeatTask tuHeartbeatTask = new TUHeartbeatTask();
//                    String taskId = UUID_Tools.getUUID();
//                    tuHeartbeatTask.setId(taskId);
//                    tuHeartbeatTask.setCameraId(cameraId);
//                    tuHeartbeatTask.setTaskCode(CameraScreenUtil.getCode(cameraMessage));
//                    TUHeartbeatTask tuHeartbeatTest = new TUHeartbeatTask();
//                    tuHeartbeatTest.setId(UUID_Tools.getUUID());
//                    tuHeartbeatTest.setCameraId(cameraId + cameraId);
//                    tuHeartbeatTest.setTaskCode(
//                            "orderNum="+orderNum+"&stationId="+stationId+"&cameraId="+cameraId+"&taskId="+taskId
//                    );
//                    iTUHeartbeatTaskService.insertTUHeartbeatTask(tuHeartbeatTest);
//                    return "" + iTUHeartbeatTaskService.insertTUHeartbeatTask(tuHeartbeatTask);
//                }
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
//        return  "<xml>" +
//                "<return_code><![CDATA[FAIL]]></return_code>" +
//                "<return_msg><![CDATA[添加订单失败]]></return_msg>" +
//                "</xml>";
//    }

}
