package com.ruoyi.system.wxpay.controller;


import com.ruoyi.system.wxpay.domain.WXOrder;
import com.ruoyi.system.wxpay.tools.MyConfig;
import com.ruoyi.system.wxpay.tools.WXPay;
import com.ruoyi.system.wxpay.tools.WXPayUtil;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.HashMap;
import java.util.Map;

//@RequestMapping("/business/app/wxpay")
//@RestController
public class WxPayController {
    /**
     * 微信统一下单接口
     * @return
     */

    MyConfig myConfig;

    {
        try {
            myConfig = new MyConfig();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @RequestMapping("/callBack")
    public String wxpayCallBack(String payCallBack){

        System.out.println("支付回调支付回调!!!");
        System.out.println(payCallBack);
        System.out.println("支付回调支付回调!!!");
        return payCallBack;
    }

    @ResponseBody
    @RequestMapping(value = "/doUnifiedOrder", method = RequestMethod.POST)
    public Map doUnifiedOrder(@RequestBody WXOrder wxOrder) {

        Map resultMap=new HashMap();
        String openid = wxOrder.getOpenId();
        MyConfig config = null;
        WXPay wxpay =null;
        try {
            config = new MyConfig();
            wxpay= new WXPay(config);
        } catch (Exception e) {
            e.printStackTrace();
        }
        //生成的随机字符串
        String nonce_str = WXPayUtil.generateNonceStr();
        //获取客户端的ip地址
        //获取本机的ip地址
        InetAddress addr = null;
        try {
            addr = InetAddress.getLocalHost();
        } catch (UnknownHostException e) {
            e.printStackTrace();
        }
        String spbill_create_ip = addr.getHostAddress();
        //支付金额，需要转成字符串类型，否则后面的签名会失败
        int  total_fee=1;
        //商品描述
        String body = "洗车费支付";
        //商户订单号
        String out_trade_no= WXPayUtil.generateNonceStr();
        //统一下单接口参数
        HashMap<String, String> data = new HashMap<String, String>();
        data.put("appid", myConfig.getAppID());
        data.put("mch_id", myConfig.getMchID());
        data.put("nonce_str", nonce_str);
        data.put("body", body);
        data.put("out_trade_no",out_trade_no);
        data.put("total_fee", String.valueOf(total_fee));
        data.put("spbill_create_ip", spbill_create_ip);
        data.put("notify_url", "https://www.hmzzxc.com/callback");
        data.put("trade_type","JSAPI");
        data.put("openid", openid);
        try {
            Map<String, String> rMap = wxpay.unifiedOrder(data);
            System.err.println("统一下单接口返回: " + rMap);
            String return_code = (String) rMap.get("return_code");
            String result_code = (String) rMap.get("result_code");
            String nonceStr = WXPayUtil.generateNonceStr();
            resultMap.put("nonceStr", nonceStr);
            Long timeStamp = System.currentTimeMillis() / 1000;
            if ("SUCCESS".equals(return_code) && return_code.equals(result_code)) {
                String prepayid = rMap.get("prepay_id");
                resultMap.put("package", "prepay_id="+prepayid);
                resultMap.put("signType", "MD5");
                //这边要将返回的时间戳转化成字符串，不然小程序端调用wx.requestPayment方法会报签名错误
                resultMap.put("timeStamp", timeStamp + "");
                //再次签名，这个签名用于小程序端调用wx.requesetPayment方法
                resultMap.put("appId",myConfig.getAppID());
                String sign = WXPayUtil.generateSignature(resultMap, myConfig.getKey());
                resultMap.put("paySign", sign);
                System.out.println("生成的签名paySign : "+ sign);

                return resultMap;
            }else{
                return  resultMap;
            }
        } catch (Exception e) {
            e.printStackTrace();
            return  resultMap;
        }
    }







}
