package com.ruoyi.system.wxpay.service;


import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.system.api.domain.SysUser;
import com.ruoyi.system.mapper.SysUserMapper;

import com.ruoyi.system.wxpay.controller.WechatConfig;
import com.ruoyi.system.wxpay.domain.WXOrder;
import com.ruoyi.system.wxpay.tools.WXPay;
import com.ruoyi.system.wxpay.tools.WXPayConstants;
import com.ruoyi.system.wxpay.tools.WXPayUtil;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;

@Service
public class OrderServiceImpl implements OrderServiceIface {



    @Override
    public Map wxPay(WXOrder bean) {
        Map<String, Object> payMap = new HashMap<String, Object>();//返回给小程序端需要的参数
        try {
            //生成的随机字符串
            String nonce_str = getRandomStringByLength(32);
//            String nonce_str = "1234567890abcdefg";
            //商品名称
            //todo
            String body = "zzxc";
            //获取客户端的ip地址
//			BigDecimal ￥ = new BigDecimal(100.00);
            int price = bean.getMoney().intValue() * 100;//单位是分880

            String payOrderNumber = UUID.fastUUID().toString().replaceAll("-","");
//            String payOrderNumber = "12345678901234567890";

            //查询商户号和商户key
//            SysUser sysUser = sysUserMapper.selectUserById(bean.getUserId());


            //组装参数，用户生成统一下单接口的签名
            System.out.println("----------下单接口签名-------");
            Map<String, Object> packageParams = new HashMap<>();
            packageParams.put("appid", WechatConfig.appid);
            packageParams.put("mch_id", WechatConfig.mch_id);
            packageParams.put("openid", bean.getOpenId());
            packageParams.put("body", body);
            packageParams.put("nonce_str", nonce_str);
            packageParams.put("out_trade_no", payOrderNumber);//商户订单号,自己的订单ID
            packageParams.put("total_fee", price);//支付金额，这边需要转成字符串类型，否则后面的签名会失败
            packageParams.put("spbill_create_ip", bean.getSpbill_create_ip());



            packageParams.put("notify_url", bean.getNotifyURL());//支付成功后的回调地址
            packageParams.put("trade_type", WechatConfig.TRADETYPE);//支付方式
            packageParams.put("sign_type", WXPayConstants.MD5);
            packageParams.put("attach", bean.getOpenId());
//            packageParams.put("openid", bean.getOpenId() + "");//用户的openID，自己获取
//            packageParams.put("attach", "taiercc");//用户的openID，自己获取
            String prestr = PayUtil.createLinkString(packageParams); // 把数组所有元素，按照“参数=参数值”的模式用“&”字符拼接成字符串
            System.out.println("----------prestr:" + prestr);
            System.out.println("----------调用统一下单接口-------");
            //MD5运算生成签名，这里是第一次签名，用于调用统一下单接口
            String mysign = PayUtil.sign(prestr, WechatConfig.mch_id, "UTF-8").toUpperCase();
            System.out.println("----------mysign:" + mysign);
            //拼接统一下单接口使用的xml数据，要将上一步生成的签名一起拼接进去
            String xml = "<xml>" + "<appid>" + WechatConfig.appid + "</appid>"
                    + "<body><![CDATA[" + body + "]]></body>"
                    + "<mch_id>" + WechatConfig.mch_id + "</mch_id>"
                    + "<nonce_str>" + nonce_str + "</nonce_str>"
                    + "<notify_url>" + bean.getNotifyURL() + "</notify_url>"
                    + "<openid>" + bean.getOpenId() + "</openid>"
                    + "<out_trade_no>" + payOrderNumber + "</out_trade_no>"
                    + "<sign_type>MD5</sign_type>"
                    + "<sign>" + mysign + "</sign>"
                    + "<spbill_create_ip>" + bean.getSpbill_create_ip() + "</spbill_create_ip>"
                    + "<total_fee>" + price + "</total_fee>"//支付的金额，单位：分
                    + "<trade_type>" + WechatConfig.TRADETYPE + "</trade_type>"
                    + "<attach>" + bean.getOpenId() + "</attach>"
                    + "</xml>";
            System.out.println(xml);
            //调用统一下单接口，并接受返回的结果
            String result = PayUtil.httpRequest(WechatConfig.pay_url, "POST", xml);
//            String result = HttpUtil.doPost(WechatConfig.pay_url, xml);


            System.out.println("----------result:" + result);

            // 将解析结果存储在HashMap中
            Map map = PayUtil.doXMLParse(result);
            String return_code = (String) map.get("return_code");//返回状态码
            String result_code = (String) map.get("result_code");//返回状态码
            String err_code = (String) map.get("err_code");//返回状态码
            String err_code_des = (String) map.get("err_code_des");//返回状态码

            if (return_code.equals("SUCCESS") || return_code.equals(result_code)) {
                String prepay_id = (String) map.get("prepay_id");//返回的预付单信息
                payMap.put("nonceStr", nonce_str);
                payMap.put("package", "prepay_id=" + prepay_id);
                Long timeStamp = System.currentTimeMillis() / 1000;
                payMap.put("timeStamp", timeStamp + "");//这边要将返回的时间戳转化成字符串，不然小程序端调用wx.requestPayment方法会报签名错误
                //拼接签名需要的参数
                String stringSignTemp = "appId=" + WechatConfig.appid + "&nonceStr=" + nonce_str + "&package=prepay_id=" + prepay_id + "&signType=MD5&timeStamp=" + timeStamp;
                //再次签名，这个签名用于小程序端调用wx.requesetPayment方法
                String paySign = PayUtil.sign(stringSignTemp, WechatConfig.key, "utf-8").toUpperCase();
                System.out.println("=======================第二次签名：" + paySign + "============ ======");
                payMap.put("paySign", paySign);
            } else {
                System.out.println("----------统一下单失败-------");
                return payMap;
            }
            //	OrderService.insert(payOperation);
            payMap.put("appid", WechatConfig.appid);
            //查询赠与金额

        } catch (Exception e) {
            e.printStackTrace();
        }
        return payMap;
    }

    @Override
    public Map scan_wxPay(WXOrder bean) {
        Map<String, Object> payMap = new HashMap<String, Object>();//返回给小程序端需要的参数
        try {
            //生成的随机字符串
            String nonce_str = getRandomStringByLength(32);
//            String nonce_str = "1234567890abcdefg";
            //商品名称
            //todo
            String body = "扫码付费";
            //获取客户端的ip地址
//			BigDecimal ￥ = new BigDecimal(100.00);
            int price = bean.getMoney().intValue() * 100;//单位是分880

            String payOrderNumber = UUID.fastUUID().toString();
//            String payOrderNumber = "12345678901234567890";


            //组装参数，用户生成统一下单接口的签名
            System.out.println("----------下单接口签名-------");
            Map<String, Object> packageParams = new HashMap<>();
            packageParams.put("appid", WechatConfig.appid);
            packageParams.put("mch_id", WechatConfig.mch_id);
            packageParams.put("openid", bean.getOpenId());
            packageParams.put("body", body);
            packageParams.put("nonce_str", nonce_str);
            packageParams.put("out_trade_no", payOrderNumber);//商户订单号,自己的订单ID
            packageParams.put("total_fee", price);//支付金额，这边需要转成字符串类型，否则后面的签名会失败
            packageParams.put("spbill_create_ip", bean.getSpbill_create_ip());
            packageParams.put("notify_url", bean.getNotifyURL());//支付成功后的回调地址
            packageParams.put("trade_type", WechatConfig.TRADETYPE);//支付方式
            packageParams.put("sign_type", WXPayConstants.MD5);
            packageParams.put("attach", bean.getOpenId());
//            packageParams.put("openid", bean.getOpenId() + "");//用户的openID，自己获取
//            packageParams.put("attach", "taiercc");//用户的openID，自己获取
            String prestr = PayUtil.createLinkString(packageParams); // 把数组所有元素，按照“参数=参数值”的模式用“&”字符拼接成字符串
            System.out.println("----------prestr:" + prestr);
            System.out.println("----------调用统一下单接口-------");
            //MD5运算生成签名，这里是第一次签名，用于调用统一下单接口
            String mysign = PayUtil.sign(prestr, WechatConfig.key, "UTF-8").toUpperCase();
            System.out.println("----------mysign:" + mysign);
            //拼接统一下单接口使用的xml数据，要将上一步生成的签名一起拼接进去
            String xml = "<xml>" + "<appid>" + WechatConfig.appid + "</appid>"
                    + "<body><![CDATA[" + body + "]]></body>"
//                    + "<attach>" + "taiercc" + "</attach>"
                    + "<mch_id>" + WechatConfig.mch_id + "</mch_id>"
                    + "<nonce_str>" + nonce_str + "</nonce_str>"
                    + "<notify_url>" + bean.getNotifyURL() + "</notify_url>"
                    + "<openid>" + bean.getOpenId() + "</openid>"
                    + "<out_trade_no>" + payOrderNumber + "</out_trade_no>"
                    + "<sign_type>MD5</sign_type>"
                    + "<sign>" + mysign + "</sign>"
                    + "<spbill_create_ip>" + bean.getSpbill_create_ip() + "</spbill_create_ip>"
                    + "<total_fee>" + price + "</total_fee>"//支付的金额，单位：分
                    + "<trade_type>" + WechatConfig.TRADETYPE + "</trade_type>"
                    + "<attach>" + bean.getOpenId() + "</attach>"

//                    + "<nonce_str>" + nonce_str + "</nonce_str>"
//                    + "<openid>" + bean.getOpenId() + "</openid>"
//                    + "<out_trade_no>" + /*payOrderNumber*/bean.getOrderNumber() + "</out_trade_no>"
                    + "</xml>";
            System.out.println(xml);
            //调用统一下单接口，并接受返回的结果
            String result = PayUtil.httpRequest(WechatConfig.pay_url, "POST", xml);
//            String result = HttpUtil.doPost(WechatConfig.pay_url, xml);


            System.out.println("----------result:" + result);

            // 将解析结果存储在HashMap中
            Map map = PayUtil.doXMLParse(result);
            String return_code = (String) map.get("return_code");//返回状态码
            String result_code = (String) map.get("result_code");//返回状态码
            String err_code = (String) map.get("err_code");//返回状态码
            String err_code_des = (String) map.get("err_code_des");//返回状态码

            if (return_code.equals("SUCCESS") || return_code.equals(result_code)) {
                String prepay_id = (String) map.get("prepay_id");//返回的预付单信息
                payMap.put("nonceStr", nonce_str);
                payMap.put("package", "prepay_id=" + prepay_id);
                Long timeStamp = System.currentTimeMillis() / 1000;
                payMap.put("timeStamp", timeStamp + "");//这边要将返回的时间戳转化成字符串，不然小程序端调用wx.requestPayment方法会报签名错误
                //拼接签名需要的参数
                String stringSignTemp = "appId=" + WechatConfig.appid + "&nonceStr=" + nonce_str + "&package=prepay_id=" + prepay_id + "&signType=MD5&timeStamp=" + timeStamp;
                //再次签名，这个签名用于小程序端调用wx.requesetPayment方法
                String paySign = PayUtil.sign(stringSignTemp, WechatConfig.key, "utf-8").toUpperCase();
                System.out.println("=======================第二次签名：" + paySign + "============ ======");
                payMap.put("paySign", paySign);
            } else {
                System.out.println("----------统一下单失败-------");
                return payMap;
            }
            payMap.put("appid", WechatConfig.appid);

        } catch (Exception e) {
            e.printStackTrace();
        }
        return payMap;
    }

    @Override
    @Transactional(rollbackFor = {Exception.class})
    public int wxcallBack(WXOrder wxOrder) {
        int num = 0;


       return num;
    }




    @Override
    public Map paySearch(String id) {
        Map<String, String> result = new HashMap<>();
//        TURecharge recharge = tuRechargeMapper.selectTURechargeById(id);
//        TURecharge recharge = null;
        // 如果订单已支付且支付id不为空，可以直接返回结果
        if (false) {
            result = new HashMap<>();
            result.put("return_code", "SUCCESS");
            result.put("result_code", "SUCCESS");
            result.put("trade_state", "SUCCESS");
            return result;
        } else {
            // 处理参数
            WXPayConfigImpl wxPayConfig = new WXPayConfigImpl();
            WXPay wxPay = null;
            try {
                wxPay = new WXPay(wxPayConfig);
                Map<String, String> data = new HashMap<>();
                data.put("out_trade_no", id);   //订单编号
                data.put("appid",wxPayConfig.getAppID());
                data.put("mch_id",wxPayConfig.getMchID());
                data.put("nonce_str", WXPayUtil.generateNonceStr());
                // 签名
                String s = WXPayUtil.generateSignature(data, wxPayConfig.getKey());
                data.put("sign",s);
                // 发起查询
//                result = wxPay.orderQuery(data);

                // 如果用户已支付
                if (result.get("return_code").equals("SUCCESS") && result.get("result_code").equals("SUCCESS") && result.get("trade_state").equals("SUCCESS")) {
                    // 修改订单支付状态和支付id
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            return result;
        }
    }

    public static void main(String[] args){
        String mysign = PayUtil.sign("appid=wxde842d1fdc6e4aee&attach=ovvh75-XBv_uzWW1urqfhVEbEHHc&body=盛邦服务&mch_id=1612741071&nonce_str=vplskvub3c69z14tqw2xz9jz399y6qvg&notify_url=https://www.zgzhihuiwy.com/wxPay/callBack&openid=ovvh75-XBv_uzWW1urqfhVEbEHHc&out_trade_no=163011821712896&spbill_create_ip=127.0.0.1&total_fee=1880&trade_type=JSAPI", "weijianbosunyishi20210828abcdefg", "UTF-8").toUpperCase();
        System.out.println(mysign);
    }

    //获取随机字符串
    private String getRandomStringByLength(int length) {
        String base = "abcdefghijklmnopqrstuvwxyz0123456789";
        Random random = new Random();
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < length; i++) {
            int number = random.nextInt(base.length());
            sb.append(base.charAt(number));
        }
        return sb.toString();
    }


}
